LC_Straw Growing

1124tower2Call Main()

Sub Main()
Dim a
Dim arrPoints1, arrPoints2
Dim arrCurve(),arrCurveExt()
Dim arrCurveSub1(),arrCurveSub2(),arrCurveSub3(),arrCurveSub4(),arrCurveSub5()
Dim arrCurveSub6(),arrCurveSub7(),arrCurveSub8(),arrCurveSub9(),arrCurveSub10()
Dim arrCurveSub11(),arrCurveSub12(),arrCurveSub13(),arrCurveSub14(),arrCurveSub15()
Dim arrCurveSub16(),arrCurveSub17(),arrCurveSub18(),arrCurveSub19(),arrCurveSub20()
Dim arrCurveExtSub1(),arrCurveExtSub2(),arrCurveExtSub3(),arrCurveExtSub4(),arrCurveExtSub5()
Dim arrCurveExtSub6(),arrCurveExtSub7(),arrCurveExtSub8(),arrCurveExtSub9(),arrCurveExtSub10()
Dim arrCurveExtSub11(),arrCurveExtSub12(),arrCurveExtSub13(),arrCurveExtSub14(),arrCurveExtSub15()
Dim arrCurveExtSub16(),arrCurveExtSub17(),arrCurveExtSub18(),arrCurveExtSub19(),arrCurveExtSub20()
Dim arrCurveFloor(),arrCurveFloor2()
Dim arrPlane(),arrPlaneExt()
Dim arrPlanesub1(),arrPlanesub2(),arrPlanesub3(),arrPlanesub4(),arrPlanesub5()
Dim arrPlanesub6(),arrPlanesub7(),arrPlanesub8(),arrPlanesub9(),arrPlanesub10()
Dim arrPlanesub11(),arrPlanesub12(),arrPlanesub13(),arrPlanesub14(),arrPlanesub15()
Dim arrPlanesub16(),arrPlanesub17(),arrPlanesub18(),arrPlanesub19(),arrPlanesub20()
Dim arrPlaneExtsub1(),arrPlaneExtsub2(),arrPlaneExtsub3(),arrPlaneExtsub4(),arrPlaneExtsub5()
Dim arrPlaneExtsub6(),arrPlaneExtsub7(),arrPlaneExtsub8(),arrPlaneExtsub9(),arrPlaneExtsub10()
Dim arrPlaneExtsub11(),arrPlaneExtsub12(),arrPlaneExtsub13(),arrPlaneExtsub14(),arrPlaneExtsub15()
Dim arrPlaneExtsub16(),arrPlaneExtsub17(),arrPlaneExtsub18(),arrPlaneExtsub19(),arrPlaneExtsub20()
Dim arrPlaneFloor(),arrPlaneFloor2()
Dim arrPt(),arrPtExt()
Dim arrPtSub1(),arrPtSub2(),arrPtSub3(),arrPtSub4(),arrPtSub5()
Dim arrPtSub6(),arrPtSub7(),arrPtSub8(),arrPtSub9(),arrPtSub10()
Dim arrPtSub11(),arrPtSub12(),arrPtSub13(),arrPtSub14(),arrPtSub15()
Dim arrPtSub16(),arrPtSub17(),arrPtSub18(),arrPtSub19(),arrPtSub20()
Dim arrPtExtSub1(),arrPtExtSub2(),arrPtExtSub3(),arrPtExtSub4(),arrPtExtSub5()
Dim arrPtExtSub6(),arrPtExtSub7(),arrPtExtSub8(),arrPtExtSub9(),arrPtExtSub10()
Dim arrPtExtSub11(),arrPtExtSub12(),arrPtExtSub13(),arrPtExtSub14(),arrPtExtSub15()
Dim arrPtExtSub16(),arrPtExtSub17(),arrPtExtSub18(),arrPtExtSub19(),arrPtExtSub20()
Dim arrPtFloor(),arrPtFloor2()

arrPoints1 = Rhino.GetPoint(“Please Pick Lower Point”)
arrPoints2 = Rhino.GetPoint(“Please Pick Upper Point”)

If IsArray(arrPoints1) Then
If IsArray(arrPoints2) Then

For a = 0 To 18

ReDim Preserve arrCurve(25)

arrCurve(0)=Array(((arrPoints2(0)-arrPoints1(0))*(0)/20+5*Cos(18*a-1.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*(0)/20+5*Sin(18*a-1.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*(-9.57)/20+arrPoints1(2))
arrCurve(1)=Array(((arrPoints2(0)-arrPoints1(0))*(0)/20+7*Cos(18*a-1.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*(0)/20+7*Sin(18*a-1.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*(-6.835)/20+arrPoints1(2))
arrCurve(2)=Array(((arrPoints2(0)-arrPoints1(0))*(0)/20+12*Cos(18*a-0.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*(0)/20+12*Sin(18*a-0.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*(-3.6)/20+arrPoints1(2))

arrCurve(3)=Array(((arrPoints2(0)-arrPoints1(0))*0/20+14*Cos(18*a+0)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0/20+14*Sin(18*a+0)+arrPoints1(1),arrPoints1(2))
arrCurve(4)=Array(((arrPoints2(0)-arrPoints1(0))*0.1/20+21*Cos(18*a+0.1)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.1/20+21*Sin(18*a+0.1)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*1.215/20+arrPoints1(2))
arrCurve(5)=Array(((arrPoints2(0)-arrPoints1(0))*0.44/20+28*Cos(18*a+0.2)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.44/20+28*Sin(18*a+0.2)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*2.42/20+arrPoints1(2))
arrCurve(6)=Array(((arrPoints2(0)-arrPoints1(0))*1.02/20+35*Cos(18*a+0.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.02/20+35*Sin(18*a+0.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*3.6/20+arrPoints1(2))
arrCurve(7)=Array(((arrPoints2(0)-arrPoints1(0))*1.88/20+42*Cos(18*a+0.4)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.88/20+42*Sin(18*a+0.4)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*4.735/20+arrPoints1(2))
arrCurve(8)=Array(((arrPoints2(0)-arrPoints1(0))*2.99/20+49*Cos(18*a+0.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*2.99/20+49*Sin(18*a+0.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*5.82/20+arrPoints1(2))
arrCurve(9)=Array(((arrPoints2(0)-arrPoints1(0))*4.32/20+56*Cos(18*a+0.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*4.32/20+56*Sin(18*a+0.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*6.835/20+arrPoints1(2))
arrCurve(10)=Array(((arrPoints2(0)-arrPoints1(0))*5.82/20+63*Cos(18*a+0.7)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*5.82/20+63*Sin(18*a+0.7)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*7.79/20+arrPoints1(2))
arrCurve(11)=Array(((arrPoints2(0)-arrPoints1(0))*7.45/20+70*Cos(18*a+0.8)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*7.45/20+70*Sin(18*a+0.8)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*8.695/20+arrPoints1(2))
arrCurve(12)=Array(((arrPoints2(0)-arrPoints1(0))*9.14/20+77*Cos(18*a+0.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*9.14/20+77*Sin(18*a+0.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*9.57/20+arrPoints1(2))
arrCurve(13)=Array(((arrPoints2(0)-arrPoints1(0))*10.86/20+77*Cos(18*a+1.0)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*10.86/20+77*Sin(18*a+1.0)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*10.43/20+arrPoints1(2))
arrCurve(14)=Array(((arrPoints2(0)-arrPoints1(0))*12.55/20+70*Cos(18*a+1.1)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*12.55/20+70*Sin(18*a+1.1)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*11.305/20+arrPoints1(2))
arrCurve(15)=Array(((arrPoints2(0)-arrPoints1(0))*14.18/20+63*Cos(18*a+1.2)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*14.18/20+63*Sin(18*a+1.2)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*12.21/20+arrPoints1(2))
arrCurve(16)=Array(((arrPoints2(0)-arrPoints1(0))*15.68/20+56*Cos(18*a+1.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*15.68/20+56*Sin(18*a+1.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*13.165/20+arrPoints1(2))
arrCurve(17)=Array(((arrPoints2(0)-arrPoints1(0))*17.01/20+49*Cos(18*a+1.4)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*17.01/20+49*Sin(18*a+1.4)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*14.18/20+arrPoints1(2))
arrCurve(18)=Array(((arrPoints2(0)-arrPoints1(0))*18.12/20+42*Cos(18*a+1.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*18.12/20+42*Sin(18*a+1.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*15.265/20+arrPoints1(2))
arrCurve(19)=Array(((arrPoints2(0)-arrPoints1(0))*18.98/20+35*Cos(18*a+1.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*18.98/20+35*Sin(18*a+1.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*16.4/20+arrPoints1(2))
arrCurve(20)=Array(((arrPoints2(0)-arrPoints1(0))*19.56/20+28*Cos(18*a+1.7)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*19.56/20+28*Sin(18*a+1.7)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*17.58/20+arrPoints1(2))
arrCurve(21)=Array(((arrPoints2(0)-arrPoints1(0))*19.9/20+21*Cos(18*a+1.8)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*19.9/20+21*Sin(18*a+1.8)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*18.785/20+arrPoints1(2))
arrCurve(22)=Array(((arrPoints2(0)-arrPoints1(0))*20/20+14*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*20/20+14*Sin(18*a+1.9)+arrPoints1(1),arrPoints2(2))
arrcurve(23)=Array(((arrPoints2(0)-arrPoints1(0))*22.42/20+6*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*22.42/20+6*Sin(18*a+1.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*22.42/20)
arrcurve(24)=Array(((arrPoints2(0)-arrPoints1(0))*24.735/20+3.5*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*24.735/20+3.5*Sin(18*a+1.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*24.735/20)
arrcurve(25)=Array(((arrPoints2(0)-arrPoints1(0))*26.835/20+1*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*26.835/20+1*Sin(18*a+1.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*26.835/20)

ReDim Preserve arrCurveExt(25)

arrCurveExt(0)=Array(((arrPoints2(0)-arrPoints1(0))*(0)/20+14*Cos(18*a-1.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*(0)/20-14*Sin(18*a-1.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*(-9.57)/20+arrPoints1(2))
arrCurveExt(1)=Array(((arrPoints2(0)-arrPoints1(0))*(0)/20+28*Cos(18*a-1.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*(0)/20-28*Sin(18*a-1.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*(-6.835)/20+arrPoints1(2))
arrCurveExt(2)=Array(((arrPoints2(0)-arrPoints1(0))*(0)/20+32*Cos(18*a-0.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*(0)/20-32*Sin(18*a-0.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*(-3.6)/20+arrPoints1(2))
arrCurveExt(3)=Array(((arrPoints2(0)-arrPoints1(0))*0/20+34*Cos(18*a+0)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0/20-34*Sin(18*a+0)+arrPoints1(1),arrPoints1(2))
arrCurveExt(4)=Array(((arrPoints2(0)-arrPoints1(0))*0.1/20+41*Cos(18*a+0.1)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.1/20-41*Sin(18*a+0.1)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*1.215/20+arrPoints1(2))
arrCurveExt(5)=Array(((arrPoints2(0)-arrPoints1(0))*0.44/20+48*Cos(18*a+0.2)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.44/20-48*Sin(18*a+0.2)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*2.42/20+arrPoints1(2))
arrCurveExt(6)=Array(((arrPoints2(0)-arrPoints1(0))*1.02/20+55*Cos(18*a+0.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.02/20-55*Sin(18*a+0.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*3.6/20+arrPoints1(2))
arrCurveExt(7)=Array(((arrPoints2(0)-arrPoints1(0))*1.88/20+62*Cos(18*a+0.4)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.88/20-62*Sin(18*a+0.4)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*4.735/20+arrPoints1(2))
arrCurveExt(8)=Array(((arrPoints2(0)-arrPoints1(0))*2.99/20+69*Cos(18*a+0.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*2.99/20-69*Sin(18*a+0.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*5.82/20+arrPoints1(2))
arrCurveExt(9)=Array(((arrPoints2(0)-arrPoints1(0))*4.32/20+76*Cos(18*a+0.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*4.32/20-76*Sin(18*a+0.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*6.835/20+arrPoints1(2))
arrCurveExt(10)=Array(((arrPoints2(0)-arrPoints1(0))*5.82/20+83*Cos(18*a+0.7)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*5.82/20-83*Sin(18*a+0.7)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*7.79/20+arrPoints1(2))
arrCurveExt(11)=Array(((arrPoints2(0)-arrPoints1(0))*7.45/20+90*Cos(18*a+0.8)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*7.45/20-90*Sin(18*a+0.8)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*8.695/20+arrPoints1(2))
arrCurveExt(12)=Array(((arrPoints2(0)-arrPoints1(0))*9.14/20+97*Cos(18*a+0.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*9.14/20-97*Sin(18*a+0.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*9.57/20+arrPoints1(2))
arrCurveExt(13)=Array(((arrPoints2(0)-arrPoints1(0))*10.86/20+97*Cos(18*a+1.0)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*10.86/20-97*Sin(18*a+1.0)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*10.43/20+arrPoints1(2))
arrCurveExt(14)=Array(((arrPoints2(0)-arrPoints1(0))*12.55/20+90*Cos(18*a+1.1)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*12.55/20-90*Sin(18*a+1.1)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*11.305/20+arrPoints1(2))
arrCurveExt(15)=Array(((arrPoints2(0)-arrPoints1(0))*14.18/20+83*Cos(18*a+1.2)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*14.18/20-83*Sin(18*a+1.2)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*12.21/20+arrPoints1(2))
arrCurveExt(16)=Array(((arrPoints2(0)-arrPoints1(0))*15.68/20+76*Cos(18*a+1.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*15.68/20-76*Sin(18*a+1.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*13.165/20+arrPoints1(2))
arrCurveExt(17)=Array(((arrPoints2(0)-arrPoints1(0))*17.01/20+69*Cos(18*a+1.4)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*17.01/20-69*Sin(18*a+1.4)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*14.18/20+arrPoints1(2))
arrCurveExt(18)=Array(((arrPoints2(0)-arrPoints1(0))*18.12/20+59*Cos(18*a+1.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*18.12/20-59*Sin(18*a+1.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*15.265/20+arrPoints1(2))
arrCurveExt(19)=Array(((arrPoints2(0)-arrPoints1(0))*18.98/20+49*Cos(18*a+1.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*18.98/20-49*Sin(18*a+1.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*16.4/20+arrPoints1(2))
arrCurveExt(20)=Array(((arrPoints2(0)-arrPoints1(0))*19.56/20+39*Cos(18*a+1.7)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*19.56/20-39*Sin(18*a+1.7)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*17.58/20+arrPoints1(2))
arrCurveExt(21)=Array(((arrPoints2(0)-arrPoints1(0))*19.9/20+29*Cos(18*a+1.8)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*19.9/20-29*Sin(18*a+1.8)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*18.785/20+arrPoints1(2))
arrCurveExt(22)=Array(((arrPoints2(0)-arrPoints1(0))*20/20+19*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*20/20-19*Sin(18*a+1.9)+arrPoints1(1),arrPoints2(2))
arrcurveExt(23)=Array(((arrPoints2(0)-arrPoints1(0))*22.42/20+7*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*22.42/20-7*Sin(18*a+1.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*22.42/20)
arrcurveExt(24)=Array(((arrPoints2(0)-arrPoints1(0))*24.735/20+3.5*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*24.735/20-3.5*Sin(18*a+1.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*24.735/20)
arrcurveExt(25)=Array(((arrPoints2(0)-arrPoints1(0))*26.835/20+1*Cos(18*a+1.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*26.835/20-1*Sin(18*a+1.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*26.835/20)
ReDim Preserve arrPlane(25)

arrPlane(0) = Rhino.PlaneFromPoints ((arrCurve(0)),Array(arrCurve(0)(0)+1,arrCurve(0)(1),arrCurve(0)(2)),Array(arrCurve(0)(0),arrCurve(0)(1)+1,arrCurve(0)(2)))
arrPlane(1) = Rhino.PlaneFromPoints ((arrCurve(1)),Array(arrCurve(1)(0)+1,arrCurve(1)(1),arrCurve(1)(2)),Array(arrCurve(1)(0),arrCurve(1)(1)+1,arrCurve(1)(2)))
arrPlane(2) = Rhino.PlaneFromPoints ((arrCurve(2)),Array(arrCurve(2)(0)+1,arrCurve(2)(1),arrCurve(2)(2)),Array(arrCurve(2)(0),arrCurve(2)(1)+1,arrCurve(2)(2)))
arrPlane(3) = Rhino.PlaneFromPoints ((arrCurve(3)),Array(arrCurve(3)(0)+1,arrCurve(3)(1),arrCurve(3)(2)),Array(arrCurve(3)(0),arrCurve(2)(1)+1,arrCurve(3)(2)))
arrPlane(4) = Rhino.PlaneFromPoints ((arrCurve(4)),Array(arrCurve(4)(0)+1,arrCurve(4)(1),arrCurve(4)(2)),Array(arrCurve(4)(0),arrCurve(4)(1)+1,arrCurve(4)(2)))
arrPlane(5) = Rhino.PlaneFromPoints ((arrCurve(5)),Array(arrCurve(5)(0)+1,arrCurve(5)(1),arrCurve(5)(2)),Array(arrCurve(5)(0),arrCurve(5)(1)+1,arrCurve(5)(2)))
arrPlane(6) = Rhino.PlaneFromPoints ((arrCurve(6)),Array(arrCurve(6)(0)+1,arrCurve(6)(1),arrCurve(6)(2)),Array(arrCurve(6)(0),arrCurve(6)(1)+1,arrCurve(6)(2)))
arrPlane(7) = Rhino.PlaneFromPoints ((arrCurve(7)),Array(arrCurve(7)(0)+1,arrCurve(7)(1),arrCurve(7)(2)),Array(arrCurve(7)(0),arrCurve(7)(1)+1,arrCurve(7)(2)))
arrPlane(8) = Rhino.PlaneFromPoints ((arrCurve(8)),Array(arrCurve(8)(0)+1,arrCurve(8)(1),arrCurve(8)(2)),Array(arrCurve(8)(0),arrCurve(8)(1)+1,arrCurve(8)(2)))
arrPlane(9) = Rhino.PlaneFromPoints ((arrCurve(9)),Array(arrCurve(9)(0)+1,arrCurve(9)(1),arrCurve(9)(2)),Array(arrCurve(9)(0),arrCurve(9)(1)+1,arrCurve(9)(2)))
arrPlane(10) = Rhino.PlaneFromPoints ((arrCurve(10)),Array(arrCurve(10)(0)+1,arrCurve(10)(1),arrCurve(10)(2)),Array(arrCurve(10)(0),arrCurve(10)(1)+1,arrCurve(10)(2)))
arrPlane(11) = Rhino.PlaneFromPoints ((arrCurve(11)),Array(arrCurve(11)(0)+1,arrCurve(11)(1),arrCurve(11)(2)),Array(arrCurve(11)(0),arrCurve(11)(1)+1,arrCurve(11)(2)))
arrPlane(12) = Rhino.PlaneFromPoints ((arrCurve(12)),Array(arrCurve(12)(0)+1,arrCurve(12)(1),arrCurve(12)(2)),Array(arrCurve(12)(0),arrCurve(12)(1)+1,arrCurve(12)(2)))
arrPlane(13) = Rhino.PlaneFromPoints ((arrCurve(13)),Array(arrCurve(13)(0)+1,arrCurve(13)(1),arrCurve(13)(2)),Array(arrCurve(13)(0),arrCurve(13)(1)+1,arrCurve(13)(2)))
arrPlane(14) = Rhino.PlaneFromPoints ((arrCurve(14)),Array(arrCurve(14)(0)+1,arrCurve(14)(1),arrCurve(14)(2)),Array(arrCurve(14)(0),arrCurve(14)(1)+1,arrCurve(14)(2)))
arrPlane(15) = Rhino.PlaneFromPoints ((arrCurve(15)),Array(arrCurve(15)(0)+1,arrCurve(15)(1),arrCurve(15)(2)),Array(arrCurve(15)(0),arrCurve(15)(1)+1,arrCurve(15)(2)))
arrPlane(16) = Rhino.PlaneFromPoints ((arrCurve(16)),Array(arrCurve(16)(0)+1,arrCurve(16)(1),arrCurve(16)(2)),Array(arrCurve(16)(0),arrCurve(16)(1)+1,arrCurve(16)(2)))
arrPlane(17) = Rhino.PlaneFromPoints ((arrCurve(17)),Array(arrCurve(17)(0)+1,arrCurve(17)(1),arrCurve(17)(2)),Array(arrCurve(17)(0),arrCurve(17)(1)+1,arrCurve(17)(2)))
arrPlane(18) = Rhino.PlaneFromPoints ((arrCurve(18)),Array(arrCurve(18)(0)+1,arrCurve(18)(1),arrCurve(18)(2)),Array(arrCurve(18)(0),arrCurve(18)(1)+1,arrCurve(18)(2)))
arrPlane(19) = Rhino.PlaneFromPoints ((arrCurve(19)),Array(arrCurve(19)(0)+1,arrCurve(19)(1),arrCurve(19)(2)),Array(arrCurve(19)(0),arrCurve(19)(1)+1,arrCurve(19)(2)))
arrPlane(20) = Rhino.PlaneFromPoints ((arrCurve(20)),Array(arrCurve(20)(0)+1,arrCurve(20)(1),arrCurve(20)(2)),Array(arrCurve(20)(0),arrCurve(20)(1)+1,arrCurve(20)(2)))
arrPlane(21) = Rhino.PlaneFromPoints ((arrCurve(21)),Array(arrCurve(21)(0)+1,arrCurve(21)(1),arrCurve(21)(2)),Array(arrCurve(21)(0),arrCurve(21)(1)+1,arrCurve(21)(2)))
arrPlane(22) = Rhino.PlaneFromPoints ((arrCurve(22)),Array(arrCurve(22)(0)+1,arrCurve(22)(1),arrCurve(22)(2)),Array(arrCurve(22)(0),arrCurve(22)(1)+1,arrCurve(22)(2)))
arrPlane(23) = Rhino.PlaneFromPoints ((arrCurve(23)),Array(arrCurve(23)(0)+1,arrCurve(23)(1),arrCurve(23)(2)),Array(arrCurve(23)(0),arrCurve(23)(1)+1,arrCurve(23)(2)))
arrPlane(24) = Rhino.PlaneFromPoints ((arrCurve(24)),Array(arrCurve(24)(0)+1,arrCurve(24)(1),arrCurve(24)(2)),Array(arrCurve(24)(0),arrCurve(24)(1)+1,arrCurve(24)(2)))
arrPlane(25) = Rhino.PlaneFromPoints ((arrCurve(25)),Array(arrCurve(25)(0)+1,arrCurve(25)(1),arrCurve(25)(2)),Array(arrCurve(25)(0),arrCurve(25)(1)+1,arrCurve(25)(2)))
ReDim Preserve arrPlaneExt(25)

arrPlaneExt(0) = Rhino.PlaneFromPoints ((arrCurveExt(0)),Array(arrCurveExt(0)(0)+1,arrCurveExt(0)(1),arrCurveExt(0)(2)),Array(arrCurveExt(0)(0),arrCurveExt(0)(1)+1,arrCurveExt(0)(2)))
arrPlaneExt(1) = Rhino.PlaneFromPoints ((arrCurveExt(1)),Array(arrCurveExt(1)(0)+1,arrCurveExt(1)(1),arrCurveExt(1)(2)),Array(arrCurveExt(1)(0),arrCurveExt(1)(1)+1,arrCurveExt(1)(2)))
arrPlaneExt(2) = Rhino.PlaneFromPoints ((arrCurveExt(2)),Array(arrCurveExt(2)(0)+1,arrCurveExt(2)(1),arrCurveExt(2)(2)),Array(arrCurveExt(2)(0),arrCurveExt(2)(1)+1,arrCurveExt(2)(2)))
arrPlaneExt(3) = Rhino.PlaneFromPoints ((arrCurveExt(3)),Array(arrCurveExt(3)(0)+1,arrCurveExt(3)(1),arrCurveExt(3)(2)),Array(arrCurveExt(3)(0),arrCurveExt(2)(1)+1,arrCurveExt(3)(2)))
arrPlaneExt(4) = Rhino.PlaneFromPoints ((arrCurveExt(4)),Array(arrCurveExt(4)(0)+1,arrCurveExt(4)(1),arrCurveExt(4)(2)),Array(arrCurveExt(4)(0),arrCurveExt(4)(1)+1,arrCurveExt(4)(2)))
arrPlaneExt(5) = Rhino.PlaneFromPoints ((arrCurveExt(5)),Array(arrCurveExt(5)(0)+1,arrCurveExt(5)(1),arrCurveExt(5)(2)),Array(arrCurveExt(5)(0),arrCurveExt(5)(1)+1,arrCurveExt(5)(2)))
arrPlaneExt(6) = Rhino.PlaneFromPoints ((arrCurveExt(6)),Array(arrCurveExt(6)(0)+1,arrCurveExt(6)(1),arrCurveExt(6)(2)),Array(arrCurveExt(6)(0),arrCurveExt(6)(1)+1,arrCurveExt(6)(2)))
arrPlaneExt(7) = Rhino.PlaneFromPoints ((arrCurveExt(7)),Array(arrCurveExt(7)(0)+1,arrCurveExt(7)(1),arrCurveExt(7)(2)),Array(arrCurveExt(7)(0),arrCurveExt(7)(1)+1,arrCurveExt(7)(2)))
arrPlaneExt(8) = Rhino.PlaneFromPoints ((arrCurveExt(8)),Array(arrCurveExt(8)(0)+1,arrCurveExt(8)(1),arrCurveExt(8)(2)),Array(arrCurveExt(8)(0),arrCurveExt(8)(1)+1,arrCurveExt(8)(2)))
arrPlaneExt(9) = Rhino.PlaneFromPoints ((arrCurveExt(9)),Array(arrCurveExt(9)(0)+1,arrCurveExt(9)(1),arrCurveExt(9)(2)),Array(arrCurveExt(9)(0),arrCurveExt(9)(1)+1,arrCurveExt(9)(2)))
arrPlaneExt(10) = Rhino.PlaneFromPoints ((arrCurveExt(10)),Array(arrCurveExt(10)(0)+1,arrCurveExt(10)(1),arrCurveExt(10)(2)),Array(arrCurveExt(10)(0),arrCurveExt(10)(1)+1,arrCurveExt(10)(2)))
arrPlaneExt(11) = Rhino.PlaneFromPoints ((arrCurveExt(11)),Array(arrCurveExt(11)(0)+1,arrCurveExt(11)(1),arrCurveExt(11)(2)),Array(arrCurveExt(11)(0),arrCurveExt(11)(1)+1,arrCurveExt(11)(2)))
arrPlaneExt(12) = Rhino.PlaneFromPoints ((arrCurveExt(12)),Array(arrCurveExt(12)(0)+1,arrCurveExt(12)(1),arrCurveExt(12)(2)),Array(arrCurveExt(12)(0),arrCurveExt(12)(1)+1,arrCurveExt(12)(2)))
arrPlaneExt(13) = Rhino.PlaneFromPoints ((arrCurveExt(13)),Array(arrCurveExt(13)(0)+1,arrCurveExt(13)(1),arrCurveExt(13)(2)),Array(arrCurveExt(13)(0),arrCurveExt(13)(1)+1,arrCurveExt(13)(2)))
arrPlaneExt(14) = Rhino.PlaneFromPoints ((arrCurveExt(14)),Array(arrCurveExt(14)(0)+1,arrCurveExt(14)(1),arrCurveExt(14)(2)),Array(arrCurveExt(14)(0),arrCurveExt(14)(1)+1,arrCurveExt(14)(2)))
arrPlaneExt(15) = Rhino.PlaneFromPoints ((arrCurveExt(15)),Array(arrCurveExt(15)(0)+1,arrCurveExt(15)(1),arrCurveExt(15)(2)),Array(arrCurveExt(15)(0),arrCurveExt(15)(1)+1,arrCurveExt(15)(2)))
arrPlaneExt(16) = Rhino.PlaneFromPoints ((arrCurveExt(16)),Array(arrCurveExt(16)(0)+1,arrCurveExt(16)(1),arrCurveExt(16)(2)),Array(arrCurveExt(16)(0),arrCurveExt(16)(1)+1,arrCurveExt(16)(2)))
arrPlaneExt(17) = Rhino.PlaneFromPoints ((arrCurveExt(17)),Array(arrCurveExt(17)(0)+1,arrCurveExt(17)(1),arrCurveExt(17)(2)),Array(arrCurveExt(17)(0),arrCurveExt(17)(1)+1,arrCurveExt(17)(2)))
arrPlaneExt(18) = Rhino.PlaneFromPoints ((arrCurveExt(18)),Array(arrCurveExt(18)(0)+1,arrCurveExt(18)(1),arrCurveExt(18)(2)),Array(arrCurveExt(18)(0),arrCurveExt(18)(1)+1,arrCurveExt(18)(2)))
arrPlaneExt(19) = Rhino.PlaneFromPoints ((arrCurveExt(19)),Array(arrCurveExt(19)(0)+1,arrCurveExt(19)(1),arrCurveExt(19)(2)),Array(arrCurveExt(19)(0),arrCurveExt(19)(1)+1,arrCurveExt(19)(2)))
arrPlaneExt(20) = Rhino.PlaneFromPoints ((arrCurveExt(20)),Array(arrCurveExt(20)(0)+1,arrCurveExt(20)(1),arrCurveExt(20)(2)),Array(arrCurveExt(20)(0),arrCurveExt(20)(1)+1,arrCurveExt(20)(2)))
arrPlaneExt(21) = Rhino.PlaneFromPoints ((arrCurveExt(21)),Array(arrCurveExt(21)(0)+1,arrCurveExt(21)(1),arrCurveExt(21)(2)),Array(arrCurveExt(21)(0),arrCurveExt(21)(1)+1,arrCurveExt(21)(2)))
arrPlaneExt(22) = Rhino.PlaneFromPoints ((arrCurveExt(22)),Array(arrCurveExt(22)(0)+1,arrCurveExt(22)(1),arrCurveExt(22)(2)),Array(arrCurveExt(22)(0),arrCurveExt(22)(1)+1,arrCurveExt(22)(2)))
arrPlaneExt(23) = Rhino.PlaneFromPoints ((arrCurveExt(23)),Array(arrCurveExt(23)(0)+1,arrCurveExt(23)(1),arrCurveExt(23)(2)),Array(arrCurveExt(23)(0),arrCurveExt(23)(1)+1,arrCurveExt(23)(2)))
arrPlaneExt(24) = Rhino.PlaneFromPoints ((arrCurveExt(24)),Array(arrCurveExt(24)(0)+1,arrCurveExt(24)(1),arrCurveExt(24)(2)),Array(arrCurveExt(24)(0),arrCurveExt(24)(1)+1,arrCurveExt(24)(2)))
arrPlaneExt(25) = Rhino.PlaneFromPoints ((arrCurveExt(25)),Array(arrCurveExt(25)(0)+1,arrCurveExt(25)(1),arrCurveExt(25)(2)),Array(arrCurveExt(25)(0),arrCurveExt(25)(1)+1,arrCurveExt(25)(2)))

ReDim Preserve arrPt(25)
arrPt(0) = Rhino.AddCircle (arrPlane(0), 4.5)
arrPt(1) = Rhino.AddCircle (arrPlane(1), 4.5)
arrPt(2) = Rhino.AddCircle (arrPlane(2), 4.5)
arrPt(3) = Rhino.AddCircle (arrPlane(3), 5)
arrPt(4) = Rhino.AddCircle (arrPlane(4), 6.5)
arrPt(5) = Rhino.AddCircle (arrPlane(5), 6.5)
arrPt(6) = Rhino.AddCircle (arrPlane(6), 5)
arrPt(7) = Rhino.AddCircle (arrPlane(7), 4.5)
arrPt(8) = Rhino.AddCircle (arrPlane(8), 3.5)
arrPt(9) = Rhino.AddCircle (arrPlane(9), 2.8)
arrPt(10) = Rhino.AddCircle (arrPlane(10), 2.8)
arrPt(11) = Rhino.AddCircle (arrPlane(11), 3)
arrPt(12) = Rhino.AddCircle (arrPlane(12), 4)
arrPt(13) = Rhino.AddCircle (arrPlane(13), 5)
arrPt(14) = Rhino.AddCircle (arrPlane(14), 6.5)
arrPt(15) = Rhino.AddCircle (arrPlane(15), 6.5)
arrPt(16) = Rhino.AddCircle (arrPlane(16), 5)
arrPt(17) = Rhino.AddCircle (arrPlane(17), 4)
arrPt(18) = Rhino.AddCircle (arrPlane(18), 4)
arrPt(19) = Rhino.AddCircle (arrPlane(19), 3)
arrPt(20) = Rhino.AddCircle (arrPlane(20), 2)
arrPt(21) = Rhino.AddCircle (arrPlane(21), 1)
arrPt(22) = Rhino.AddCircle (arrPlane(22), 1)
arrPt(23) = Rhino.AddCircle (arrPlane(23), 0.5)
arrPt(24) = Rhino.AddCircle (arrPlane(24), 0.5)
arrPt(25) = Rhino.AddCircle (arrPlane(25), 0.5)

Rhino.AddLoftSrf (arrPt),,,1
Rhino.AddPlanarSrf Array(arrPt(0))
Rhino.AddPlanarSrf Array(arrPt(25))
Rhino.DeleteObjects (arrPt)

ReDim Preserve arrPtExt(25)
arrPtExt(0) = Rhino.AddCircle (arrPlaneExt(0), 4.5)
arrPtExt(1) = Rhino.AddCircle (arrPlaneExt(1), 4.5)
arrPtExt(2) = Rhino.AddCircle (arrPlaneExt(2), 4.5)
arrPtExt(3) = Rhino.AddCircle (arrPlaneExt(3), 4.5)
arrPtExt(4) = Rhino.AddCircle (arrPlaneExt(4), 6)
arrPtExt(5) = Rhino.AddCircle (arrPlaneExt(5), 6)
arrPtExt(6) = Rhino.AddCircle (arrPlaneExt(6), 4.5)
arrPtExt(7) = Rhino.AddCircle (arrPlaneExt(7), 3.5)
arrPtExt(8) = Rhino.AddCircle (arrPlaneExt(8), 3)
arrPtExt(9) = Rhino.AddCircle (arrPlaneExt(9), 2)
arrPtExt(10) = Rhino.AddCircle (arrPlaneExt(10), 2)
arrPtExt(11) = Rhino.AddCircle (arrPlaneExt(11), 3)
arrPtExt(12) = Rhino.AddCircle (arrPlaneExt(12), 4)
arrPtExt(13) = Rhino.AddCircle (arrPlaneExt(13), 4.5)
arrPtExt(14) = Rhino.AddCircle (arrPlaneExt(14), 6)
arrPtExt(15) = Rhino.AddCircle (arrPlaneExt(15), 6)
arrPtExt(16) = Rhino.AddCircle (arrPlaneExt(16), 4.5)
arrPtExt(17) = Rhino.AddCircle (arrPlaneExt(17), 4)
arrPtExt(18) = Rhino.AddCircle (arrPlaneExt(18), 3)
arrPtExt(19) = Rhino.AddCircle (arrPlaneExt(19), 2)
arrPtExt(20) = Rhino.AddCircle (arrPlaneExt(20), 2)
arrPtExt(21) = Rhino.AddCircle (arrPlaneExt(21), 2)
arrPtExt(22) = Rhino.AddCircle (arrPlaneExt(22), 1)
arrPtExt(23) = Rhino.AddCircle (arrPlaneExt(23), 0.5)
arrPtExt(24) = Rhino.AddCircle (arrPlaneExt(24), 0.5)
arrPtExt(25) = Rhino.AddCircle (arrPlaneExt(25), 0.5)

Rhino.AddLoftSrf (arrPtExt),,,1
Rhino.AddPlanarSrf Array(arrPtExt(0))
Rhino.AddPlanarSrf Array(arrPtExt(25))
Rhino.DeleteObjects (arrPtExt)

ReDim Preserve arrCurveFloor(7)
arrCurveFloor(0)=Array(((arrPoints2(0)-arrPoints1(0))*0/20+7*Cos(18*a+0)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0/20+7*Sin(18*a+0)+arrPoints1(1),arrPoints1(2))
arrCurveFloor(1)=Array(((arrPoints2(0)-arrPoints1(0))*0.1/20+14*Cos(18*a+0.1)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.1/20+14*Sin(18*a+0.1)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*1.215/20+arrPoints1(2))
arrCurveFloor(2)=Array(((arrPoints2(0)-arrPoints1(0))*0.44/20+21*Cos(18*a+0.2)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.44/20+21*Sin(18*a+0.2)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*2.42/20+arrPoints1(2))
arrCurveFloor(3)=Array(((arrPoints2(0)-arrPoints1(0))*1.02/20+28*Cos(18*a+0.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.02/20+28*Sin(18*a+0.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*3.6/20+arrPoints1(2))
arrCurveFloor(4)=Array(((arrPoints2(0)-arrPoints1(0))*1.88/20+35*Cos(18*a+0.4)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.88/20+35*Sin(18*a+0.4)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*4.735/20+arrPoints1(2))
arrCurveFloor(5)=Array(((arrPoints2(0)-arrPoints1(0))*2.99/20+42*Cos(18*a+0.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*2.99/20+42*Sin(18*a+0.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*5.82/20+arrPoints1(2))
arrCurveFloor(6)=Array(((arrPoints2(0)-arrPoints1(0))*4.32/20+49*Cos(18*a+0.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*4.32/20+49*Sin(18*a+0.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*6.835/20+arrPoints1(2))
arrCurveFloor(7)=Array(((arrPoints2(0)-arrPoints1(0))*5.82/20+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*5.82/20+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*6.835/20+arrPoints1(2))
ReDim Preserve arrPlaneFloor(7)

arrPlaneFloor(0) = Rhino.PlaneFromPoints ((arrCurveFloor(0)),Array(arrCurveFloor(0)(0)+1,arrCurveFloor(0)(1),arrCurveFloor(0)(2)),Array(arrCurveFloor(0)(0),arrCurveFloor(0)(1)+1,arrCurveFloor(0)(2)))
arrPlaneFloor(1) = Rhino.PlaneFromPoints ((arrCurveFloor(1)),Array(arrCurveFloor(1)(0)+1,arrCurveFloor(1)(1),arrCurveFloor(1)(2)),Array(arrCurveFloor(1)(0),arrCurveFloor(1)(1)+1,arrCurveFloor(1)(2)))
arrPlaneFloor(2) = Rhino.PlaneFromPoints ((arrCurveFloor(2)),Array(arrCurveFloor(2)(0)+1,arrCurveFloor(2)(1),arrCurveFloor(2)(2)),Array(arrCurveFloor(2)(0),arrCurveFloor(2)(1)+1,arrCurveFloor(2)(2)))
arrPlaneFloor(3) = Rhino.PlaneFromPoints ((arrCurveFloor(3)),Array(arrCurveFloor(3)(0)+1,arrCurveFloor(3)(1),arrCurveFloor(3)(2)),Array(arrCurveFloor(3)(0),arrCurveFloor(2)(1)+1,arrCurveFloor(3)(2)))
arrPlaneFloor(4) = Rhino.PlaneFromPoints ((arrCurveFloor(4)),Array(arrCurveFloor(4)(0)+1,arrCurveFloor(4)(1),arrCurveFloor(4)(2)),Array(arrCurveFloor(4)(0),arrCurveFloor(4)(1)+1,arrCurveFloor(4)(2)))
arrPlaneFloor(5) = Rhino.PlaneFromPoints ((arrCurveFloor(5)),Array(arrCurveFloor(5)(0)+1,arrCurveFloor(5)(1),arrCurveFloor(5)(2)),Array(arrCurveFloor(5)(0),arrCurveFloor(5)(1)+1,arrCurveFloor(5)(2)))
arrPlaneFloor(6) = Rhino.PlaneFromPoints ((arrCurveFloor(6)),Array(arrCurveFloor(6)(0)+1,arrCurveFloor(6)(1),arrCurveFloor(6)(2)),Array(arrCurveFloor(6)(0),arrCurveFloor(6)(1)+1,arrCurveFloor(6)(2)))
arrPlaneFloor(7) = Rhino.PlaneFromPoints ((arrCurveFloor(7)),Array(arrCurveFloor(7)(0),arrCurveFloor(7)(1)+1,arrCurveFloor(7)(2)),Array(arrCurveFloor(7)(0),arrCurveFloor(7)(1),arrCurveFloor(7)(2)+1))
ReDim Preserve arrPtFloor(7)
arrPtFloor(0) = Rhino.AddCircle (arrPlaneFloor(0), 3)
arrPtFloor(1) = Rhino.AddCircle (arrPlaneFloor(1), 4.5)
arrPtFloor(2) = Rhino.AddCircle (arrPlaneFloor(2), 6)
arrPtFloor(3) = Rhino.AddCircle (arrPlaneFloor(3), 5)
arrPtFloor(4) = Rhino.AddCircle (arrPlaneFloor(4), 6)
arrPtFloor(5) = Rhino.AddCircle (arrPlaneFloor(5), 7.5)
arrPtFloor(6) = Rhino.AddCircle (arrPlaneFloor(6), 6)
arrPtFloor(7) = Rhino.AddCircle (arrPlaneFloor(7), 3)

Rhino.AddLoftSrf (arrPtFloor),,,1

Rhino.AddPlanarSrf Array(arrPtFloor(0))
Rhino.AddPlanarSrf Array(arrPtFloor(7))

Rhino.DeleteObjects (arrPtFloor)

ReDim Preserve arrCurveFloor2(10)
arrCurveFloor2(0)=Array(((arrPoints2(0)-arrPoints1(0))*0/20+7*Cos(18*a+0)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0/20+7*Sin(18*a+0)+arrPoints1(1),arrPoints1(2))
arrCurveFloor2(1)=Array(((arrPoints2(0)-arrPoints1(0))*0.1/20+14*Cos(18*a+0.1)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.1/20+14*Sin(18*a+0.1)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*1.215/20+arrPoints1(2))
arrCurveFloor2(2)=Array(((arrPoints2(0)-arrPoints1(0))*0.44/20+21*Cos(18*a+0.2)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*0.44/20+21*Sin(18*a+0.2)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*2.42/20+arrPoints1(2))
arrCurveFloor2(3)=Array(((arrPoints2(0)-arrPoints1(0))*1.02/20+28*Cos(18*a+0.3)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.02/20+28*Sin(18*a+0.3)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*3.6/20+arrPoints1(2))
arrCurveFloor2(4)=Array(((arrPoints2(0)-arrPoints1(0))*1.88/20+35*Cos(18*a+0.4)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*1.88/20+35*Sin(18*a+0.4)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*4.735/20+arrPoints1(2))
arrCurveFloor2(5)=Array(((arrPoints2(0)-arrPoints1(0))*2.99/20+42*Cos(18*a+0.5)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*2.99/20+42*Sin(18*a+0.5)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*5.82/20+arrPoints1(2))
arrCurveFloor2(6)=Array(((arrPoints2(0)-arrPoints1(0))*4.32/20+49*Cos(18*a+0.6)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*4.32/20+49*Sin(18*a+0.6)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*6.835/20+arrPoints1(2))
arrCurveFloor2(7)=Array(((arrPoints2(0)-arrPoints1(0))*5.82/20+49*Cos(18*a+0.7)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*5.82/20+49*Sin(18*a+0.7)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*7.79/20+arrPoints1(2))
arrCurveFloor2(8)=Array(((arrPoints2(0)-arrPoints1(0))*7.45/20+49*Cos(18*a+0.8)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*7.45/20+49*Sin(18*a+0.8)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*8.695/20+arrPoints1(2))
arrCurveFloor2(9)=Array(((arrPoints2(0)-arrPoints1(0))*9.14/20+49*Cos(18*a+0.9)+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*9.14/20+49*Sin(18*a+0.9)+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*9.57/20+arrPoints1(2))
arrCurveFloor2(10)=Array(((arrPoints2(0)-arrPoints1(0))*5.82/20+arrPoints1(0)),(arrPoints2(1)-arrPoints1(1))*5.82/20+arrPoints1(1),(arrPoints2(2)-arrPoints1(2))*9.57/20+arrPoints1(2))
ReDim Preserve arrPlaneFloor2(10)

arrPlaneFloor2(0) = Rhino.PlaneFromPoints ((arrCurveFloor2(0)),Array(arrCurveFloor2(0)(0)+1,arrCurveFloor2(0)(1),arrCurveFloor2(0)(2)),Array(arrCurveFloor2(0)(0),arrCurveFloor2(0)(1)+1,arrCurveFloor2(0)(2)))
arrPlaneFloor2(1) = Rhino.PlaneFromPoints ((arrCurveFloor2(1)),Array(arrCurveFloor2(1)(0)+1,arrCurveFloor2(1)(1),arrCurveFloor2(1)(2)),Array(arrCurveFloor2(1)(0),arrCurveFloor2(1)(1)+1,arrCurveFloor2(1)(2)))
arrPlaneFloor2(2) = Rhino.PlaneFromPoints ((arrCurveFloor2(2)),Array(arrCurveFloor2(2)(0)+1,arrCurveFloor2(2)(1),arrCurveFloor2(2)(2)),Array(arrCurveFloor2(2)(0),arrCurveFloor2(2)(1)+1,arrCurveFloor2(2)(2)))
arrPlaneFloor2(3) = Rhino.PlaneFromPoints ((arrCurveFloor2(3)),Array(arrCurveFloor2(3)(0)+1,arrCurveFloor2(3)(1),arrCurveFloor2(3)(2)),Array(arrCurveFloor2(3)(0),arrCurveFloor2(2)(1)+1,arrCurveFloor2(3)(2)))
arrPlaneFloor2(4) = Rhino.PlaneFromPoints ((arrCurveFloor2(4)),Array(arrCurveFloor2(4)(0)+1,arrCurveFloor2(4)(1),arrCurveFloor2(4)(2)),Array(arrCurveFloor2(4)(0),arrCurveFloor2(4)(1)+1,arrCurveFloor2(4)(2)))
arrPlaneFloor2(5) = Rhino.PlaneFromPoints ((arrCurveFloor2(5)),Array(arrCurveFloor2(5)(0)+1,arrCurveFloor2(5)(1),arrCurveFloor2(5)(2)),Array(arrCurveFloor2(5)(0),arrCurveFloor2(5)(1)+1,arrCurveFloor2(5)(2)))
arrPlaneFloor2(6) = Rhino.PlaneFromPoints ((arrCurveFloor2(6)),Array(arrCurveFloor2(6)(0)+1,arrCurveFloor2(6)(1),arrCurveFloor2(6)(2)),Array(arrCurveFloor2(6)(0),arrCurveFloor2(6)(1)+1,arrCurveFloor2(6)(2)))
arrPlaneFloor2(7) = Rhino.PlaneFromPoints ((arrCurveFloor2(7)),Array(arrCurveFloor2(7)(0)+1,arrCurveFloor2(7)(1),arrCurveFloor2(7)(2)),Array(arrCurveFloor2(7)(0),arrCurveFloor2(7)(1)+1,arrCurveFloor2(7)(2)))
arrPlaneFloor2(8) = Rhino.PlaneFromPoints ((arrCurveFloor2(8)),Array(arrCurveFloor2(8)(0)+1,arrCurveFloor2(8)(1),arrCurveFloor2(8)(2)),Array(arrCurveFloor2(8)(0),arrCurveFloor2(8)(1)+1,arrCurveFloor2(8)(2)))
arrPlaneFloor2(9) = Rhino.PlaneFromPoints ((arrCurveFloor2(9)),Array(arrCurveFloor2(9)(0)+1,arrCurveFloor2(9)(1),arrCurveFloor2(9)(2)),Array(arrCurveFloor2(9)(0),arrCurveFloor2(9)(1)+1,arrCurveFloor2(9)(2)))
arrPlaneFloor2(10) = Rhino.PlaneFromPoints ((arrCurveFloor2(10)),Array(arrCurveFloor2(10)(0),arrCurveFloor2(10)(1)+1,arrCurveFloor2(10)(2)),Array(arrCurveFloor2(10)(0),arrCurveFloor2(10)(1),arrCurveFloor2(10)(2)+1))
ReDim Preserve arrPtFloor2(10)
arrPtFloor2(0) = Rhino.AddCircle (arrPlaneFloor2(0), 3)
arrPtFloor2(1) = Rhino.AddCircle (arrPlaneFloor2(1), 4.5)
arrPtFloor2(2) = Rhino.AddCircle (arrPlaneFloor2(2), 6.6)
arrPtFloor2(3) = Rhino.AddCircle (arrPlaneFloor2(3), 6.9)
arrPtFloor2(4) = Rhino.AddCircle (arrPlaneFloor2(4), 7.5)
arrPtFloor2(5) = Rhino.AddCircle (arrPlaneFloor2(5), 7.5)
arrPtFloor2(6) = Rhino.AddCircle (arrPlaneFloor2(6), 6.9)
arrPtFloor2(7) = Rhino.AddCircle (arrPlaneFloor2(7), 6.6)
arrPtFloor2(8) = Rhino.AddCircle (arrPlaneFloor2(8), 6)
arrPtFloor2(9) = Rhino.AddCircle (arrPlaneFloor2(9), 4.5)
arrPtFloor2(10) = Rhino.AddCircle (arrPlaneFloor2(10), 3)

Rhino.AddLoftSrf (arrPtFloor2),,,1

Rhino.AddPlanarSrf Array(arrPtFloor2(0))
Rhino.AddPlanarSrf Array(arrPtFloor2(10))

Rhino.DeleteObjects (arrPtFloor2)

ReDim Preserve arrCurveSub1(2)
arrCurveSub1(0)=arrCurve(3)
arrCurveSub1(1)=arrCurve(4)
arrCurveSub1(2)=Array(arrCurve(4)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(4)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(4)(2)+Rnd*20)
ReDim Preserve arrCurveSub2(2)
arrCurveSub2(0)=arrCurve(4)
arrCurveSub2(1)=arrCurve(5)
arrCurveSub2(2)=Array(arrCurve(5)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(5)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(5)(2)+Rnd*25)
ReDim Preserve arrCurveSub3(2)
arrCurveSub3(0)=arrCurve(5)
arrCurveSub3(1)=arrCurve(6)
arrCurveSub3(2)=Array(arrCurve(6)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(6)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(6)(2)+Rnd*30)
ReDim Preserve arrCurveSub4(2)
arrCurveSub4(0)=arrCurve(3)
arrCurveSub4(1)=arrCurve(7)
arrCurveSub4(2)=Array(arrCurve(7)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(7)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(7)(2)+Rnd*35)
ReDim Preserve arrCurveSub5(2)
arrCurveSub5(0)=arrCurve(7)
arrCurveSub5(1)=arrCurve(8)
arrCurveSub5(2)=Array(arrCurve(8)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(8)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(8)(2)+Rnd*40)
ReDim Preserve arrCurveSub6(2)
arrCurveSub6(0)=arrCurve(8)
arrCurveSub6(1)=arrCurve(9)
arrCurveSub6(2)=Array(arrCurve(9)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(9)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(9)(2)+Rnd*45)
ReDim Preserve arrCurveSub7(2)
arrCurveSub7(0)=arrCurve(9)
arrCurveSub7(1)=arrCurve(10)
arrCurveSub7(2)=Array(arrCurve(10)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(10)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(10)(2)+Rnd*50)
ReDim Preserve arrCurveSub8(2)
arrCurveSub8(0)=arrCurve(10)
arrCurveSub8(1)=arrCurve(11)
arrCurveSub8(2)=Array(arrCurve(11)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(11)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(11)(2)+Rnd*55)
ReDim Preserve arrCurveSub9(2)
arrCurveSub9(0)=arrCurve(11)
arrCurveSub9(1)=arrCurve(12)
arrCurveSub9(2)=Array(arrCurve(12)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(12)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(12)(2)+Rnd*60)
ReDim Preserve arrCurveSub10(2)
arrCurveSub10(0)=arrCurve(12)
arrCurveSub10(1)=arrCurve(13)
arrCurveSub10(2)=Array(arrCurve(13)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(13)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(13)(2)+Rnd*65)
ReDim Preserve arrCurveSub11(2)
arrCurveSub11(0)=arrCurve(13)
arrCurveSub11(1)=arrCurve(14)
arrCurveSub11(2)=Array(arrCurve(14)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(14)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(14)(2)+Rnd*60)
ReDim Preserve arrCurveSub12(2)
arrCurveSub12(0)=arrCurve(14)
arrCurveSub12(1)=arrCurve(15)
arrCurveSub12(2)=Array(arrCurve(15)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(15)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(15)(2)+Rnd*55)
ReDim Preserve arrCurveSub13(2)
arrCurveSub13(0)=arrCurve(15)
arrCurveSub13(1)=arrCurve(16)
arrCurveSub13(2)=Array(arrCurve(16)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(16)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(16)(2)+Rnd*50)
ReDim Preserve arrCurveSub14(2)
arrCurveSub14(0)=arrCurve(16)
arrCurveSub14(1)=arrCurve(17)
arrCurveSub14(2)=Array(arrCurve(17)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(17)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(17)(2)+Rnd*45)
ReDim Preserve arrCurveSub15(2)
arrCurveSub15(0)=arrCurve(17)
arrCurveSub15(1)=arrCurve(18)
arrCurveSub15(2)=Array(arrCurve(18)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(18)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(18)(2)+Rnd*40)
ReDim Preserve arrCurveSub16(2)
arrCurveSub16(0)=arrCurve(18)
arrCurveSub16(1)=arrCurve(19)
arrCurveSub16(2)=Array(arrCurve(19)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(19)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(19)(2)+Rnd*35)
ReDim Preserve arrCurveSub17(2)
arrCurveSub17(0)=arrCurve(19)
arrCurveSub17(1)=arrCurve(20)
arrCurveSub17(2)=Array(arrCurve(20)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(20)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(20)(2)+Rnd*30)
ReDim Preserve arrCurveSub18(2)
arrCurveSub18(0)=arrCurve(20)
arrCurveSub18(1)=arrCurve(21)
arrCurveSub18(2)=Array(arrCurve(21)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(21)(1)+14*Sin(18*a+0)+Rnd*10,arrCurve(21)(2)+Rnd*25)
ReDim Preserve arrCurveSub19(2)
arrCurveSub19(0)=arrCurve(21)
arrCurveSub19(1)=arrCurve(22)
arrCurveSub19(2)=Array(arrCurve(22)(0)+14*Cos(18*a+0)+Rnd*10,arrCurve(2)(1)-14*Sin(18*a+0)+Rnd*10,arrCurve(22)(2)+Rnd*20)

ReDim Preserve arrPlaneSub1(2)
arrPlaneSub1(0)=Rhino.PlaneFromPoints ((arrCurveSub1(0)),Array(arrCurveSub1(0)(0)+1,arrCurveSub1(0)(1),arrCurveSub1(0)(2)),Array(arrCurveSub1(0)(0),arrCurveSub1(0)(1)+1,arrCurveSub1(0)(2)))
arrPlaneSub1(1)=Rhino.PlaneFromPoints ((arrCurveSub1(1)),Array(arrCurveSub1(1)(0)+1,arrCurveSub1(1)(1),arrCurveSub1(1)(2)),Array(arrCurveSub1(1)(0),arrCurveSub1(1)(1)+1,arrCurveSub1(1)(2)))
arrPlaneSub1(2)=Rhino.PlaneFromPoints ((arrCurveSub1(2)),Array(arrCurveSub1(2)(0)+1,arrCurveSub1(2)(1),arrCurveSub1(2)(2)),Array(arrCurveSub1(2)(0),arrCurveSub1(2)(1)+1,arrCurveSub1(2)(2)))
ReDim Preserve arrPlaneSub2(2)
arrPlaneSub2(0)=Rhino.PlaneFromPoints ((arrCurveSub2(0)),Array(arrCurveSub2(0)(0)+1,arrCurveSub2(0)(1),arrCurveSub2(0)(2)),Array(arrCurveSub2(0)(0),arrCurveSub2(0)(1)+1,arrCurveSub2(0)(2)))
arrPlaneSub2(1)=Rhino.PlaneFromPoints ((arrCurveSub2(1)),Array(arrCurveSub2(1)(0)+1,arrCurveSub2(1)(1),arrCurveSub2(1)(2)),Array(arrCurveSub2(1)(0),arrCurveSub2(1)(1)+1,arrCurveSub2(1)(2)))
arrPlaneSub2(2)=Rhino.PlaneFromPoints ((arrCurveSub2(2)),Array(arrCurveSub2(2)(0)+1,arrCurveSub2(2)(1),arrCurveSub2(2)(2)),Array(arrCurveSub2(2)(0),arrCurveSub2(2)(1)+1,arrCurveSub2(2)(2)))
ReDim Preserve arrPlaneSub3(2)
arrPlaneSub3(0)=Rhino.PlaneFromPoints ((arrCurveSub3(0)),Array(arrCurveSub3(0)(0)+1,arrCurveSub3(0)(1),arrCurveSub3(0)(2)),Array(arrCurveSub3(0)(0),arrCurveSub3(0)(1)+1,arrCurveSub3(0)(2)))
arrPlaneSub3(1)=Rhino.PlaneFromPoints ((arrCurveSub3(1)),Array(arrCurveSub3(1)(0)+1,arrCurveSub3(1)(1),arrCurveSub3(1)(2)),Array(arrCurveSub3(1)(0),arrCurveSub3(1)(1)+1,arrCurveSub3(1)(2)))
arrPlaneSub3(2)=Rhino.PlaneFromPoints ((arrCurveSub3(2)),Array(arrCurveSub3(2)(0)+1,arrCurveSub3(2)(1),arrCurveSub3(2)(2)),Array(arrCurveSub3(2)(0),arrCurveSub3(2)(1)+1,arrCurveSub3(2)(2)))
ReDim Preserve arrPlaneSub4(2)
arrPlaneSub4(0)=Rhino.PlaneFromPoints ((arrCurveSub4(0)),Array(arrCurveSub4(0)(0)+1,arrCurveSub4(0)(1),arrCurveSub4(0)(2)),Array(arrCurveSub4(0)(0),arrCurveSub4(0)(1)+1,arrCurveSub4(0)(2)))
arrPlaneSub4(1)=Rhino.PlaneFromPoints ((arrCurveSub4(1)),Array(arrCurveSub4(1)(0)+1,arrCurveSub4(1)(1),arrCurveSub4(1)(2)),Array(arrCurveSub4(1)(0),arrCurveSub4(1)(1)+1,arrCurveSub4(1)(2)))
arrPlaneSub4(2)=Rhino.PlaneFromPoints ((arrCurveSub4(2)),Array(arrCurveSub4(2)(0)+1,arrCurveSub4(2)(1),arrCurveSub4(2)(2)),Array(arrCurveSub4(2)(0),arrCurveSub4(2)(1)+1,arrCurveSub4(2)(2)))
ReDim Preserve arrPlaneSub5(2)
arrPlaneSub5(0)=Rhino.PlaneFromPoints ((arrCurveSub5(0)),Array(arrCurveSub5(0)(0)+1,arrCurveSub5(0)(1),arrCurveSub5(0)(2)),Array(arrCurveSub5(0)(0),arrCurveSub5(0)(1)+1,arrCurveSub5(0)(2)))
arrPlaneSub5(1)=Rhino.PlaneFromPoints ((arrCurveSub5(1)),Array(arrCurveSub5(1)(0)+1,arrCurveSub5(1)(1),arrCurveSub5(1)(2)),Array(arrCurveSub5(1)(0),arrCurveSub5(1)(1)+1,arrCurveSub5(1)(2)))
arrPlaneSub5(2)=Rhino.PlaneFromPoints ((arrCurveSub5(2)),Array(arrCurveSub5(2)(0)+1,arrCurveSub5(2)(1),arrCurveSub5(2)(2)),Array(arrCurveSub5(2)(0),arrCurveSub5(2)(1)+1,arrCurveSub5(2)(2)))
ReDim Preserve arrPlaneSub6(2)
arrPlaneSub6(0)=Rhino.PlaneFromPoints ((arrCurveSub6(0)),Array(arrCurveSub6(0)(0)+1,arrCurveSub6(0)(1),arrCurveSub6(0)(2)),Array(arrCurveSub6(0)(0),arrCurveSub6(0)(1)+1,arrCurveSub6(0)(2)))
arrPlaneSub6(1)=Rhino.PlaneFromPoints ((arrCurveSub6(1)),Array(arrCurveSub6(1)(0)+1,arrCurveSub6(1)(1),arrCurveSub6(1)(2)),Array(arrCurveSub6(1)(0),arrCurveSub6(1)(1)+1,arrCurveSub6(1)(2)))
arrPlaneSub6(2)=Rhino.PlaneFromPoints ((arrCurveSub6(2)),Array(arrCurveSub6(2)(0)+1,arrCurveSub6(2)(1),arrCurveSub6(2)(2)),Array(arrCurveSub6(2)(0),arrCurveSub6(2)(1)+1,arrCurveSub6(2)(2)))
ReDim Preserve arrPlaneSub7(2)
arrPlaneSub7(0)=Rhino.PlaneFromPoints ((arrCurveSub7(0)),Array(arrCurveSub7(0)(0)+1,arrCurveSub7(0)(1),arrCurveSub7(0)(2)),Array(arrCurveSub7(0)(0),arrCurveSub7(0)(1)+1,arrCurveSub7(0)(2)))
arrPlaneSub7(1)=Rhino.PlaneFromPoints ((arrCurveSub7(1)),Array(arrCurveSub7(1)(0)+1,arrCurveSub7(1)(1),arrCurveSub7(1)(2)),Array(arrCurveSub7(1)(0),arrCurveSub7(1)(1)+1,arrCurveSub7(1)(2)))
arrPlaneSub7(2)=Rhino.PlaneFromPoints ((arrCurveSub7(2)),Array(arrCurveSub7(2)(0)+1,arrCurveSub7(2)(1),arrCurveSub7(2)(2)),Array(arrCurveSub7(2)(0),arrCurveSub7(2)(1)+1,arrCurveSub7(2)(2)))
ReDim Preserve arrPlaneSub8(2)
arrPlaneSub8(0)=Rhino.PlaneFromPoints ((arrCurveSub8(0)),Array(arrCurveSub8(0)(0)+1,arrCurveSub8(0)(1),arrCurveSub8(0)(2)),Array(arrCurveSub8(0)(0),arrCurveSub8(0)(1)+1,arrCurveSub8(0)(2)))
arrPlaneSub8(1)=Rhino.PlaneFromPoints ((arrCurveSub8(1)),Array(arrCurveSub8(1)(0)+1,arrCurveSub8(1)(1),arrCurveSub8(1)(2)),Array(arrCurveSub8(1)(0),arrCurveSub8(1)(1)+1,arrCurveSub8(1)(2)))
arrPlaneSub8(2)=Rhino.PlaneFromPoints ((arrCurveSub8(2)),Array(arrCurveSub8(2)(0)+1,arrCurveSub8(2)(1),arrCurveSub8(2)(2)),Array(arrCurveSub8(2)(0),arrCurveSub8(2)(1)+1,arrCurveSub8(2)(2)))
ReDim Preserve arrPlaneSub9(2)
arrPlaneSub9(0)=Rhino.PlaneFromPoints ((arrCurveSub9(0)),Array(arrCurveSub9(0)(0)+1,arrCurveSub9(0)(1),arrCurveSub9(0)(2)),Array(arrCurveSub9(0)(0),arrCurveSub9(0)(1)+1,arrCurveSub9(0)(2)))
arrPlaneSub9(1)=Rhino.PlaneFromPoints ((arrCurveSub9(1)),Array(arrCurveSub9(1)(0)+1,arrCurveSub9(1)(1),arrCurveSub9(1)(2)),Array(arrCurveSub9(1)(0),arrCurveSub9(1)(1)+1,arrCurveSub9(1)(2)))
arrPlaneSub9(2)=Rhino.PlaneFromPoints ((arrCurveSub9(2)),Array(arrCurveSub9(2)(0)+1,arrCurveSub9(2)(1),arrCurveSub9(2)(2)),Array(arrCurveSub9(2)(0),arrCurveSub9(2)(1)+1,arrCurveSub9(2)(2)))
ReDim Preserve arrPlaneSub10(2)
arrPlaneSub10(0)=Rhino.PlaneFromPoints ((arrCurveSub10(0)),Array(arrCurveSub10(0)(0)+1,arrCurveSub10(0)(1),arrCurveSub10(0)(2)),Array(arrCurveSub10(0)(0),arrCurveSub10(0)(1)+1,arrCurveSub10(0)(2)))
arrPlaneSub10(1)=Rhino.PlaneFromPoints ((arrCurveSub10(1)),Array(arrCurveSub10(1)(0)+1,arrCurveSub10(1)(1),arrCurveSub10(1)(2)),Array(arrCurveSub10(1)(0),arrCurveSub10(1)(1)+1,arrCurveSub10(1)(2)))
arrPlaneSub10(2)=Rhino.PlaneFromPoints ((arrCurveSub10(2)),Array(arrCurveSub10(2)(0)+1,arrCurveSub10(2)(1),arrCurveSub10(2)(2)),Array(arrCurveSub10(2)(0),arrCurveSub10(2)(1)+1,arrCurveSub10(2)(2)))
ReDim Preserve arrPlaneSub11(2)
arrPlaneSub11(0)=Rhino.PlaneFromPoints ((arrCurveSub11(0)),Array(arrCurveSub11(0)(0)+1,arrCurveSub11(0)(1),arrCurveSub11(0)(2)),Array(arrCurveSub11(0)(0),arrCurveSub11(0)(1)+1,arrCurveSub11(0)(2)))
arrPlaneSub11(1)=Rhino.PlaneFromPoints ((arrCurveSub11(1)),Array(arrCurveSub11(1)(0)+1,arrCurveSub11(1)(1),arrCurveSub11(1)(2)),Array(arrCurveSub11(1)(0),arrCurveSub11(1)(1)+1,arrCurveSub11(1)(2)))
arrPlaneSub11(2)=Rhino.PlaneFromPoints ((arrCurveSub11(2)),Array(arrCurveSub11(2)(0)+1,arrCurveSub11(2)(1),arrCurveSub11(2)(2)),Array(arrCurveSub11(2)(0),arrCurveSub11(2)(1)+1,arrCurveSub11(2)(2)))
ReDim Preserve arrPlaneSub12(2)
arrPlaneSub12(0)=Rhino.PlaneFromPoints ((arrCurveSub12(0)),Array(arrCurveSub12(0)(0)+1,arrCurveSub12(0)(1),arrCurveSub12(0)(2)),Array(arrCurveSub12(0)(0),arrCurveSub12(0)(1)+1,arrCurveSub12(0)(2)))
arrPlaneSub12(1)=Rhino.PlaneFromPoints ((arrCurveSub12(1)),Array(arrCurveSub12(1)(0)+1,arrCurveSub12(1)(1),arrCurveSub12(1)(2)),Array(arrCurveSub12(1)(0),arrCurveSub12(1)(1)+1,arrCurveSub12(1)(2)))
arrPlaneSub12(2)=Rhino.PlaneFromPoints ((arrCurveSub12(2)),Array(arrCurveSub12(2)(0)+1,arrCurveSub12(2)(1),arrCurveSub12(2)(2)),Array(arrCurveSub12(2)(0),arrCurveSub12(2)(1)+1,arrCurveSub12(2)(2)))
ReDim Preserve arrPlaneSub13(2)
arrPlaneSub13(0)=Rhino.PlaneFromPoints ((arrCurveSub13(0)),Array(arrCurveSub13(0)(0)+1,arrCurveSub13(0)(1),arrCurveSub13(0)(2)),Array(arrCurveSub13(0)(0),arrCurveSub13(0)(1)+1,arrCurveSub13(0)(2)))
arrPlaneSub13(1)=Rhino.PlaneFromPoints ((arrCurveSub13(1)),Array(arrCurveSub13(1)(0)+1,arrCurveSub13(1)(1),arrCurveSub13(1)(2)),Array(arrCurveSub13(1)(0),arrCurveSub13(1)(1)+1,arrCurveSub13(1)(2)))
arrPlaneSub13(2)=Rhino.PlaneFromPoints ((arrCurveSub13(2)),Array(arrCurveSub13(2)(0)+1,arrCurveSub13(2)(1),arrCurveSub13(2)(2)),Array(arrCurveSub13(2)(0),arrCurveSub13(2)(1)+1,arrCurveSub13(2)(2)))
ReDim Preserve arrPlaneSub14(2)
arrPlaneSub14(0)=Rhino.PlaneFromPoints ((arrCurveSub14(0)),Array(arrCurveSub14(0)(0)+1,arrCurveSub14(0)(1),arrCurveSub14(0)(2)),Array(arrCurveSub14(0)(0),arrCurveSub14(0)(1)+1,arrCurveSub14(0)(2)))
arrPlaneSub14(1)=Rhino.PlaneFromPoints ((arrCurveSub14(1)),Array(arrCurveSub14(1)(0)+1,arrCurveSub14(1)(1),arrCurveSub14(1)(2)),Array(arrCurveSub14(1)(0),arrCurveSub14(1)(1)+1,arrCurveSub14(1)(2)))
arrPlaneSub14(2)=Rhino.PlaneFromPoints ((arrCurveSub14(2)),Array(arrCurveSub14(2)(0)+1,arrCurveSub14(2)(1),arrCurveSub14(2)(2)),Array(arrCurveSub14(2)(0),arrCurveSub14(2)(1)+1,arrCurveSub14(2)(2)))
ReDim Preserve arrPlaneSub15(2)
arrPlaneSub15(0)=Rhino.PlaneFromPoints ((arrCurveSub15(0)),Array(arrCurveSub15(0)(0)+1,arrCurveSub15(0)(1),arrCurveSub15(0)(2)),Array(arrCurveSub15(0)(0),arrCurveSub15(0)(1)+1,arrCurveSub15(0)(2)))
arrPlaneSub15(1)=Rhino.PlaneFromPoints ((arrCurveSub15(1)),Array(arrCurveSub15(1)(0)+1,arrCurveSub15(1)(1),arrCurveSub15(1)(2)),Array(arrCurveSub15(1)(0),arrCurveSub15(1)(1)+1,arrCurveSub15(1)(2)))
arrPlaneSub15(2)=Rhino.PlaneFromPoints ((arrCurveSub15(2)),Array(arrCurveSub15(2)(0)+1,arrCurveSub15(2)(1),arrCurveSub15(2)(2)),Array(arrCurveSub15(2)(0),arrCurveSub15(2)(1)+1,arrCurveSub15(2)(2)))
ReDim Preserve arrPlaneSub16(2)
arrPlaneSub16(0)=Rhino.PlaneFromPoints ((arrCurveSub16(0)),Array(arrCurveSub16(0)(0)+1,arrCurveSub16(0)(1),arrCurveSub16(0)(2)),Array(arrCurveSub16(0)(0),arrCurveSub16(0)(1)+1,arrCurveSub16(0)(2)))
arrPlaneSub16(1)=Rhino.PlaneFromPoints ((arrCurveSub16(1)),Array(arrCurveSub16(1)(0)+1,arrCurveSub16(1)(1),arrCurveSub16(1)(2)),Array(arrCurveSub16(1)(0),arrCurveSub16(1)(1)+1,arrCurveSub16(1)(2)))
arrPlaneSub16(2)=Rhino.PlaneFromPoints ((arrCurveSub16(2)),Array(arrCurveSub16(2)(0)+1,arrCurveSub16(2)(1),arrCurveSub16(2)(2)),Array(arrCurveSub16(2)(0),arrCurveSub16(2)(1)+1,arrCurveSub16(2)(2)))
ReDim Preserve arrPlaneSub17(2)
arrPlaneSub17(0)=Rhino.PlaneFromPoints ((arrCurveSub17(0)),Array(arrCurveSub17(0)(0)+1,arrCurveSub17(0)(1),arrCurveSub17(0)(2)),Array(arrCurveSub17(0)(0),arrCurveSub17(0)(1)+1,arrCurveSub17(0)(2)))
arrPlaneSub17(1)=Rhino.PlaneFromPoints ((arrCurveSub17(1)),Array(arrCurveSub17(1)(0)+1,arrCurveSub17(1)(1),arrCurveSub17(1)(2)),Array(arrCurveSub17(1)(0),arrCurveSub17(1)(1)+1,arrCurveSub17(1)(2)))
arrPlaneSub17(2)=Rhino.PlaneFromPoints ((arrCurveSub17(2)),Array(arrCurveSub17(2)(0)+1,arrCurveSub17(2)(1),arrCurveSub17(2)(2)),Array(arrCurveSub17(2)(0),arrCurveSub17(2)(1)+1,arrCurveSub17(2)(2)))
ReDim Preserve arrPlaneSub18(2)
arrPlaneSub18(0)=Rhino.PlaneFromPoints ((arrCurveSub18(0)),Array(arrCurveSub18(0)(0)+1,arrCurveSub18(0)(1),arrCurveSub18(0)(2)),Array(arrCurveSub18(0)(0),arrCurveSub18(0)(1)+1,arrCurveSub18(0)(2)))
arrPlaneSub18(1)=Rhino.PlaneFromPoints ((arrCurveSub18(1)),Array(arrCurveSub18(1)(0)+1,arrCurveSub18(1)(1),arrCurveSub18(1)(2)),Array(arrCurveSub18(1)(0),arrCurveSub18(1)(1)+1,arrCurveSub18(1)(2)))
arrPlaneSub18(2)=Rhino.PlaneFromPoints ((arrCurveSub18(2)),Array(arrCurveSub18(2)(0)+1,arrCurveSub18(2)(1),arrCurveSub18(2)(2)),Array(arrCurveSub18(2)(0),arrCurveSub18(2)(1)+1,arrCurveSub18(2)(2)))
ReDim Preserve arrPlaneSub19(2)
arrPlaneSub19(0)=Rhino.PlaneFromPoints ((arrCurveSub19(0)),Array(arrCurveSub19(0)(0)+1,arrCurveSub19(0)(1),arrCurveSub19(0)(2)),Array(arrCurveSub19(0)(0),arrCurveSub19(0)(1)+1,arrCurveSub19(0)(2)))
arrPlaneSub19(1)=Rhino.PlaneFromPoints ((arrCurveSub19(1)),Array(arrCurveSub19(1)(0)+1,arrCurveSub19(1)(1),arrCurveSub19(1)(2)),Array(arrCurveSub19(1)(0),arrCurveSub19(1)(1)+1,arrCurveSub19(1)(2)))
arrPlaneSub19(2)=Rhino.PlaneFromPoints ((arrCurveSub19(2)),Array(arrCurveSub19(2)(0)+1,arrCurveSub19(2)(1),arrCurveSub19(2)(2)),Array(arrCurveSub19(2)(0),arrCurveSub19(2)(1)+1,arrCurveSub19(2)(2)))

ReDim Preserve arrPtSub1(2)
arrPtSub1(0) = Rhino.AddCircle (arrPlaneSub1(0), 2)
arrPtSub1(1) = Rhino.AddCircle (arrPlaneSub1(1), 1)
arrPtSub1(2) = Rhino.AddCircle (arrPlaneSub1(2), 0.4)
ReDim Preserve arrPtSub2(2)
arrPtSub2(0) = Rhino.AddCircle (arrPlaneSub2(0), 2)
arrPtSub2(1) = Rhino.AddCircle (arrPlaneSub2(1), 1)
arrPtSub2(2) = Rhino.AddCircle (arrPlaneSub2(2), 0.4)
ReDim Preserve arrPtSub3(2)
arrPtSub3(0) = Rhino.AddCircle (arrPlaneSub3(0), 2)
arrPtSub3(1) = Rhino.AddCircle (arrPlaneSub3(1), 1)
arrPtSub3(2) = Rhino.AddCircle (arrPlaneSub3(2), 0.4)
ReDim Preserve arrPtSub4(2)
arrPtSub4(0) = Rhino.AddCircle (arrPlaneSub4(0), 2)
arrPtSub4(1) = Rhino.AddCircle (arrPlaneSub4(1), 1)
arrPtSub4(2) = Rhino.AddCircle (arrPlaneSub4(2), 0.4)
ReDim Preserve arrPtSub5(2)
arrPtSub5(0) = Rhino.AddCircle (arrPlaneSub5(0), 2)
arrPtSub5(1) = Rhino.AddCircle (arrPlaneSub5(1), 1)
arrPtSub5(2) = Rhino.AddCircle (arrPlaneSub5(2), 0.4)
ReDim Preserve arrPtSub6(2)
arrPtSub6(0) = Rhino.AddCircle (arrPlaneSub6(0), 2)
arrPtSub6(1) = Rhino.AddCircle (arrPlaneSub6(1), 1)
arrPtSub6(2) = Rhino.AddCircle (arrPlaneSub6(2), 0.4)
ReDim Preserve arrPtSub7(2)
arrPtSub7(0) = Rhino.AddCircle (arrPlaneSub7(0), 2)
arrPtSub7(1) = Rhino.AddCircle (arrPlaneSub7(1), 1)
arrPtSub7(2) = Rhino.AddCircle (arrPlaneSub7(2), 0.4)
ReDim Preserve arrPtSub8(2)
arrPtSub8(0) = Rhino.AddCircle (arrPlaneSub8(0), 2)
arrPtSub8(1) = Rhino.AddCircle (arrPlaneSub8(1), 1)
arrPtSub8(2) = Rhino.AddCircle (arrPlaneSub8(2), 0.4)
ReDim Preserve arrPtSub9(2)
arrPtSub9(0) = Rhino.AddCircle (arrPlaneSub9(0), 2)
arrPtSub9(1) = Rhino.AddCircle (arrPlaneSub9(1), 1)
arrPtSub9(2) = Rhino.AddCircle (arrPlaneSub9(2), 0.4)
ReDim Preserve arrPtSub10(2)
arrPtSub10(0) = Rhino.AddCircle (arrPlaneSub10(0), 2)
arrPtSub10(1) = Rhino.AddCircle (arrPlaneSub10(1), 1)
arrPtSub10(2) = Rhino.AddCircle (arrPlaneSub10(2), 0.4)
ReDim Preserve arrPtSub11(2)
arrPtSub11(0) = Rhino.AddCircle (arrPlaneSub11(0), 2)
arrPtSub11(1) = Rhino.AddCircle (arrPlaneSub11(1), 1)
arrPtSub11(2) = Rhino.AddCircle (arrPlaneSub11(2), 0.4)
ReDim Preserve arrPtSub12(2)
arrPtSub12(0) = Rhino.AddCircle (arrPlaneSub12(0), 2)
arrPtSub12(1) = Rhino.AddCircle (arrPlaneSub12(1), 1)
arrPtSub12(2) = Rhino.AddCircle (arrPlaneSub12(2), 0.4)
ReDim Preserve arrPtSub13(2)
arrPtSub13(0) = Rhino.AddCircle (arrPlaneSub13(0), 2)
arrPtSub13(1) = Rhino.AddCircle (arrPlaneSub13(1), 1)
arrPtSub13(2) = Rhino.AddCircle (arrPlaneSub13(2), 0.4)
ReDim Preserve arrPtSub14(2)
arrPtSub14(0) = Rhino.AddCircle (arrPlaneSub14(0), 2)
arrPtSub14(1) = Rhino.AddCircle (arrPlaneSub14(1), 1)
arrPtSub14(2) = Rhino.AddCircle (arrPlaneSub14(2), 0.4)
ReDim Preserve arrPtSub15(2)
arrPtSub15(0) = Rhino.AddCircle (arrPlaneSub15(0), 2)
arrPtSub15(1) = Rhino.AddCircle (arrPlaneSub15(1), 1)
arrPtSub15(2) = Rhino.AddCircle (arrPlaneSub15(2), 0.4)
ReDim Preserve arrPtSub16(2)
arrPtSub16(0) = Rhino.AddCircle (arrPlaneSub16(0), 2)
arrPtSub16(1) = Rhino.AddCircle (arrPlaneSub16(1), 1)
arrPtSub16(2) = Rhino.AddCircle (arrPlaneSub16(2), 0.4)
ReDim Preserve arrPtSub17(2)
arrPtSub17(0) = Rhino.AddCircle (arrPlaneSub17(0), 2)
arrPtSub17(1) = Rhino.AddCircle (arrPlaneSub17(1), 1)
arrPtSub17(2) = Rhino.AddCircle (arrPlaneSub17(2), 0.4)
ReDim Preserve arrPtSub18(2)
arrPtSub18(0) = Rhino.AddCircle (arrPlaneSub18(0), 2)
arrPtSub18(1) = Rhino.AddCircle (arrPlaneSub18(1), 1)
arrPtSub18(2) = Rhino.AddCircle (arrPlaneSub18(2), 0.4)
ReDim Preserve arrPtSub19(2)
arrPtSub19(0) = Rhino.AddCircle (arrPlaneSub19(0), 2)
arrPtSub19(1) = Rhino.AddCircle (arrPlaneSub19(1), 1)
arrPtSub19(2) = Rhino.AddCircle (arrPlaneSub19(2), 0.4)
Rhino.AddLoftSrf (arrPtSub1),,,1
Rhino.AddLoftSrf (arrPtSub2),,,1
Rhino.AddLoftSrf (arrPtSub3),,,1
Rhino.AddLoftSrf (arrPtSub4),,,1
Rhino.AddLoftSrf (arrPtSub5),,,1
Rhino.AddLoftSrf (arrPtSub6),,,1
Rhino.AddLoftSrf (arrPtSub7),,,1
Rhino.AddLoftSrf (arrPtSub8),,,1
Rhino.AddLoftSrf (arrPtSub9),,,1
Rhino.AddLoftSrf (arrPtSub10),,,1
Rhino.AddLoftSrf (arrPtSub11),,,1
Rhino.AddLoftSrf (arrPtSub12),,,1
Rhino.AddLoftSrf (arrPtSub13),,,1
Rhino.AddLoftSrf (arrPtSub14),,,1
Rhino.AddLoftSrf (arrPtSub15),,,1
Rhino.AddLoftSrf (arrPtSub16),,,1
Rhino.AddLoftSrf (arrPtSub17),,,1
Rhino.AddLoftSrf (arrPtSub18),,,1
Rhino.AddLoftSrf (arrPtSub19),,,1

Rhino.AddPlanarSrf Array(arrPtSub1(0))
Rhino.AddPlanarSrf Array(arrPtSub1(2))
Rhino.AddPlanarSrf Array(arrPtSub2(0))
Rhino.AddPlanarSrf Array(arrPtSub2(2))
Rhino.AddPlanarSrf Array(arrPtSub3(0))
Rhino.AddPlanarSrf Array(arrPtSub3(2))
Rhino.AddPlanarSrf Array(arrPtSub4(0))
Rhino.AddPlanarSrf Array(arrPtSub4(2))
Rhino.AddPlanarSrf Array(arrPtSub5(0))
Rhino.AddPlanarSrf Array(arrPtSub5(2))
Rhino.AddPlanarSrf Array(arrPtSub6(0))
Rhino.AddPlanarSrf Array(arrPtSub6(2))
Rhino.AddPlanarSrf Array(arrPtSub7(0))
Rhino.AddPlanarSrf Array(arrPtSub7(2))
Rhino.AddPlanarSrf Array(arrPtSub8(0))
Rhino.AddPlanarSrf Array(arrPtSub8(2))
Rhino.AddPlanarSrf Array(arrPtSub9(0))
Rhino.AddPlanarSrf Array(arrPtSub9(2))
Rhino.AddPlanarSrf Array(arrPtSub10(0))
Rhino.AddPlanarSrf Array(arrPtSub10(2))
Rhino.AddPlanarSrf Array(arrPtSub11(0))
Rhino.AddPlanarSrf Array(arrPtSub11(2))
Rhino.AddPlanarSrf Array(arrPtSub12(0))
Rhino.AddPlanarSrf Array(arrPtSub12(2))
Rhino.AddPlanarSrf Array(arrPtSub13(0))
Rhino.AddPlanarSrf Array(arrPtSub13(2))
Rhino.AddPlanarSrf Array(arrPtSub14(0))
Rhino.AddPlanarSrf Array(arrPtSub14(2))
Rhino.AddPlanarSrf Array(arrPtSub15(0))
Rhino.AddPlanarSrf Array(arrPtSub15(2))
Rhino.AddPlanarSrf Array(arrPtSub16(0))
Rhino.AddPlanarSrf Array(arrPtSub16(2))
Rhino.AddPlanarSrf Array(arrPtSub17(0))
Rhino.AddPlanarSrf Array(arrPtSub17(2))
Rhino.AddPlanarSrf Array(arrPtSub18(0))
Rhino.AddPlanarSrf Array(arrPtSub18(2))
Rhino.AddPlanarSrf Array(arrPtSub19(0))
Rhino.AddPlanarSrf Array(arrPtSub19(2))

Rhino.DeleteObjects (arrPtSub1)
Rhino.DeleteObjects (arrPtSub2)
Rhino.DeleteObjects (arrPtSub3)
Rhino.DeleteObjects (arrPtSub4)
Rhino.DeleteObjects (arrPtSub5)
Rhino.DeleteObjects (arrPtSub6)
Rhino.DeleteObjects (arrPtSub7)
Rhino.DeleteObjects (arrPtSub8)
Rhino.DeleteObjects (arrPtSub9)
Rhino.DeleteObjects (arrPtSub10)
Rhino.DeleteObjects (arrPtSub11)
Rhino.DeleteObjects (arrPtSub12)
Rhino.DeleteObjects (arrPtSub13)
Rhino.DeleteObjects (arrPtSub14)
Rhino.DeleteObjects (arrPtSub15)
Rhino.DeleteObjects (arrPtSub16)
Rhino.DeleteObjects (arrPtSub17)
Rhino.DeleteObjects (arrPtSub18)
Rhino.DeleteObjects (arrPtSub19)

ReDim Preserve arrCurveExtSub1(2)
arrCurveExtSub1(0)=arrCurveExt(0)
arrCurveExtSub1(1)=arrCurveExt(1)
arrCurveExtSub1(2)=Array(arrCurveExt(1)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(1)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(1)(2)+Rnd*20)
ReDim Preserve arrCurveExtSub2(2)
arrCurveExtSub2(0)=arrCurveExt(1)
arrCurveExtSub2(1)=arrCurveExt(2)
arrCurveExtSub2(2)=Array(arrCurveExt(2)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(2)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(2)(2)+Rnd*25)
ReDim Preserve arrCurveExtSub3(2)
arrCurveExtSub3(0)=arrCurveExt(2)
arrCurveExtSub3(1)=arrCurveExt(3)
arrCurveExtSub3(2)=Array(arrCurveExt(3)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(3)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(3)(2)+Rnd*30)
ReDim Preserve arrCurveExtSub4(2)
arrCurveExtSub4(0)=arrCurveExt(3)
arrCurveExtSub4(1)=arrCurveExt(4)
arrCurveExtSub4(2)=Array(arrCurveExt(4)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(4)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(4)(2)+Rnd*35)
ReDim Preserve arrCurveExtSub5(2)
arrCurveExtSub5(0)=arrCurveExt(4)
arrCurveExtSub5(1)=arrCurveExt(5)
arrCurveExtSub5(2)=Array(arrCurveExt(5)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(5)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(5)(2)+Rnd*40)
ReDim Preserve arrCurveExtSub6(2)
arrCurveExtSub6(0)=arrCurveExt(5)
arrCurveExtSub6(1)=arrCurveExt(6)
arrCurveExtSub6(2)=Array(arrCurveExt(6)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(6)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(6)(2)+Rnd*45)
ReDim Preserve arrCurveExtSub7(2)
arrCurveExtSub7(0)=arrCurveExt(6)
arrCurveExtSub7(1)=arrCurveExt(7)
arrCurveExtSub7(2)=Array(arrCurveExt(7)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(7)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(7)(2)+Rnd*50)
ReDim Preserve arrCurveExtSub8(2)
arrCurveExtSub8(0)=arrCurveExt(7)
arrCurveExtSub8(1)=arrCurveExt(8)
arrCurveExtSub8(2)=Array(arrCurveExt(8)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(8)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(8)(2)+Rnd*55)
ReDim Preserve arrCurveExtSub9(2)
arrCurveExtSub9(0)=arrCurveExt(8)
arrCurveExtSub9(1)=arrCurveExt(9)
arrCurveExtSub9(2)=Array(arrCurveExt(9)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(9)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(9)(2)+Rnd*60)
ReDim Preserve arrCurveExtSub10(2)
arrCurveExtSub10(0)=arrCurveExt(9)
arrCurveExtSub10(1)=arrCurveExt(10)
arrCurveExtSub10(2)=Array(arrCurveExt(10)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(10)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(10)(2)+Rnd*65)
ReDim Preserve arrCurveExtSub11(2)
arrCurveExtSub11(0)=arrCurveExt(10)
arrCurveExtSub11(1)=arrCurveExt(11)
arrCurveExtSub11(2)=Array(arrCurveExt(11)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(11)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(11)(2)+Rnd*60)
ReDim Preserve arrCurveExtSub12(2)
arrCurveExtSub12(0)=arrCurveExt(11)
arrCurveExtSub12(1)=arrCurveExt(12)
arrCurveExtSub12(2)=Array(arrCurveExt(12)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(12)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(12)(2)+Rnd*55)
ReDim Preserve arrCurveExtSub13(2)
arrCurveExtSub13(0)=arrCurveExt(12)
arrCurveExtSub13(1)=arrCurveExt(13)
arrCurveExtSub13(2)=Array(arrCurveExt(13)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(13)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(13)(2)+Rnd*50)
ReDim Preserve arrCurveExtSub14(2)
arrCurveExtSub14(0)=arrCurveExt(13)
arrCurveExtSub14(1)=arrCurveExt(14)
arrCurveExtSub14(2)=Array(arrCurveExt(14)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(14)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(14)(2)+Rnd*45)
ReDim Preserve arrCurveExtSub15(2)
arrCurveExtSub15(0)=arrCurveExt(14)
arrCurveExtSub15(1)=arrCurveExt(15)
arrCurveExtSub15(2)=Array(arrCurveExt(15)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(15)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(15)(2)+Rnd*40)
ReDim Preserve arrCurveExtSub16(2)
arrCurveExtSub16(0)=arrCurveExt(15)
arrCurveExtSub16(1)=arrCurveExt(16)
arrCurveExtSub16(2)=Array(arrCurveExt(16)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(16)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(16)(2)+Rnd*35)
ReDim Preserve arrCurveExtSub17(2)
arrCurveExtSub17(0)=arrCurveExt(16)
arrCurveExtSub17(1)=arrCurveExt(17)
arrCurveExtSub17(2)=Array(arrCurveExt(17)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(17)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(17)(2)+Rnd*30)
ReDim Preserve arrCurveExtSub18(2)
arrCurveExtSub18(0)=arrCurveExt(17)
arrCurveExtSub18(1)=arrCurveExt(18)
arrCurveExtSub18(2)=Array(arrCurveExt(18)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(18)(1)+14*Sin(18*a+0)+Rnd*10,arrCurveExt(18)(2)+Rnd*25)
ReDim Preserve arrCurveExtSub19(2)
arrCurveExtSub19(0)=arrCurveExt(18)
arrCurveExtSub19(1)=arrCurveExt(19)
arrCurveExtSub19(2)=Array(arrCurveExt(19)(0)+14*Cos(18*a+0)+Rnd*10,arrCurveExt(19)(1)-14*Sin(18*a+0)+Rnd*10,arrCurveExt(19)(2)+Rnd*20)

ReDim Preserve arrPlaneExtSub1(2)
arrPlaneExtSub1(0)=Rhino.PlaneFromPoints ((arrCurveExtSub1(0)),Array(arrCurveExtSub1(0)(0)+1,arrCurveExtSub1(0)(1),arrCurveExtSub1(0)(2)),Array(arrCurveExtSub1(0)(0),arrCurveExtSub1(0)(1)+1,arrCurveExtSub1(0)(2)))
arrPlaneExtSub1(1)=Rhino.PlaneFromPoints ((arrCurveExtSub1(1)),Array(arrCurveExtSub1(1)(0)+1,arrCurveExtSub1(1)(1),arrCurveExtSub1(1)(2)),Array(arrCurveExtSub1(1)(0),arrCurveExtSub1(1)(1)+1,arrCurveExtSub1(1)(2)))
arrPlaneExtSub1(2)=Rhino.PlaneFromPoints ((arrCurveExtSub1(2)),Array(arrCurveExtSub1(2)(0)+1,arrCurveExtSub1(2)(1),arrCurveExtSub1(2)(2)),Array(arrCurveExtSub1(2)(0),arrCurveExtSub1(2)(1)+1,arrCurveExtSub1(2)(2)))
ReDim Preserve arrPlaneExtSub2(2)
arrPlaneExtSub2(0)=Rhino.PlaneFromPoints ((arrCurveExtSub2(0)),Array(arrCurveExtSub2(0)(0)+1,arrCurveExtSub2(0)(1),arrCurveExtSub2(0)(2)),Array(arrCurveExtSub2(0)(0),arrCurveExtSub2(0)(1)+1,arrCurveExtSub2(0)(2)))
arrPlaneExtSub2(1)=Rhino.PlaneFromPoints ((arrCurveExtSub2(1)),Array(arrCurveExtSub2(1)(0)+1,arrCurveExtSub2(1)(1),arrCurveExtSub2(1)(2)),Array(arrCurveExtSub2(1)(0),arrCurveExtSub2(1)(1)+1,arrCurveExtSub2(1)(2)))
arrPlaneExtSub2(2)=Rhino.PlaneFromPoints ((arrCurveExtSub2(2)),Array(arrCurveExtSub2(2)(0)+1,arrCurveExtSub2(2)(1),arrCurveExtSub2(2)(2)),Array(arrCurveExtSub2(2)(0),arrCurveExtSub2(2)(1)+1,arrCurveExtSub2(2)(2)))
ReDim Preserve arrPlaneExtSub3(2)
arrPlaneExtSub3(0)=Rhino.PlaneFromPoints ((arrCurveExtSub3(0)),Array(arrCurveExtSub3(0)(0)+1,arrCurveExtSub3(0)(1),arrCurveExtSub3(0)(2)),Array(arrCurveExtSub3(0)(0),arrCurveExtSub3(0)(1)+1,arrCurveExtSub3(0)(2)))
arrPlaneExtSub3(1)=Rhino.PlaneFromPoints ((arrCurveExtSub3(1)),Array(arrCurveExtSub3(1)(0)+1,arrCurveExtSub3(1)(1),arrCurveExtSub3(1)(2)),Array(arrCurveExtSub3(1)(0),arrCurveExtSub3(1)(1)+1,arrCurveExtSub3(1)(2)))
arrPlaneExtSub3(2)=Rhino.PlaneFromPoints ((arrCurveExtSub3(2)),Array(arrCurveExtSub3(2)(0)+1,arrCurveExtSub3(2)(1),arrCurveExtSub3(2)(2)),Array(arrCurveExtSub3(2)(0),arrCurveExtSub3(2)(1)+1,arrCurveExtSub3(2)(2)))
ReDim Preserve arrPlaneExtSub4(2)
arrPlaneExtSub4(0)=Rhino.PlaneFromPoints ((arrCurveExtSub4(0)),Array(arrCurveExtSub4(0)(0)+1,arrCurveExtSub4(0)(1),arrCurveExtSub4(0)(2)),Array(arrCurveExtSub4(0)(0),arrCurveExtSub4(0)(1)+1,arrCurveExtSub4(0)(2)))
arrPlaneExtSub4(1)=Rhino.PlaneFromPoints ((arrCurveExtSub4(1)),Array(arrCurveExtSub4(1)(0)+1,arrCurveExtSub4(1)(1),arrCurveExtSub4(1)(2)),Array(arrCurveExtSub4(1)(0),arrCurveExtSub4(1)(1)+1,arrCurveExtSub4(1)(2)))
arrPlaneExtSub4(2)=Rhino.PlaneFromPoints ((arrCurveExtSub4(2)),Array(arrCurveExtSub4(2)(0)+1,arrCurveExtSub4(2)(1),arrCurveExtSub4(2)(2)),Array(arrCurveExtSub4(2)(0),arrCurveExtSub4(2)(1)+1,arrCurveExtSub4(2)(2)))
ReDim Preserve arrPlaneExtSub5(2)
arrPlaneExtSub5(0)=Rhino.PlaneFromPoints ((arrCurveExtSub5(0)),Array(arrCurveExtSub5(0)(0)+1,arrCurveExtSub5(0)(1),arrCurveExtSub5(0)(2)),Array(arrCurveExtSub5(0)(0),arrCurveExtSub5(0)(1)+1,arrCurveExtSub5(0)(2)))
arrPlaneExtSub5(1)=Rhino.PlaneFromPoints ((arrCurveExtSub5(1)),Array(arrCurveExtSub5(1)(0)+1,arrCurveExtSub5(1)(1),arrCurveExtSub5(1)(2)),Array(arrCurveExtSub5(1)(0),arrCurveExtSub5(1)(1)+1,arrCurveExtSub5(1)(2)))
arrPlaneExtSub5(2)=Rhino.PlaneFromPoints ((arrCurveExtSub5(2)),Array(arrCurveExtSub5(2)(0)+1,arrCurveExtSub5(2)(1),arrCurveExtSub5(2)(2)),Array(arrCurveExtSub5(2)(0),arrCurveExtSub5(2)(1)+1,arrCurveExtSub5(2)(2)))
ReDim Preserve arrPlaneExtSub6(2)
arrPlaneExtSub6(0)=Rhino.PlaneFromPoints ((arrCurveExtSub6(0)),Array(arrCurveExtSub6(0)(0)+1,arrCurveExtSub6(0)(1),arrCurveExtSub6(0)(2)),Array(arrCurveExtSub6(0)(0),arrCurveExtSub6(0)(1)+1,arrCurveExtSub6(0)(2)))
arrPlaneExtSub6(1)=Rhino.PlaneFromPoints ((arrCurveExtSub6(1)),Array(arrCurveExtSub6(1)(0)+1,arrCurveExtSub6(1)(1),arrCurveExtSub6(1)(2)),Array(arrCurveExtSub6(1)(0),arrCurveExtSub6(1)(1)+1,arrCurveExtSub6(1)(2)))
arrPlaneExtSub6(2)=Rhino.PlaneFromPoints ((arrCurveExtSub6(2)),Array(arrCurveExtSub6(2)(0)+1,arrCurveExtSub6(2)(1),arrCurveExtSub6(2)(2)),Array(arrCurveExtSub6(2)(0),arrCurveExtSub6(2)(1)+1,arrCurveExtSub6(2)(2)))
ReDim Preserve arrPlaneExtSub7(2)
arrPlaneExtSub7(0)=Rhino.PlaneFromPoints ((arrCurveExtSub7(0)),Array(arrCurveExtSub7(0)(0)+1,arrCurveExtSub7(0)(1),arrCurveExtSub7(0)(2)),Array(arrCurveExtSub7(0)(0),arrCurveExtSub7(0)(1)+1,arrCurveExtSub7(0)(2)))
arrPlaneExtSub7(1)=Rhino.PlaneFromPoints ((arrCurveExtSub7(1)),Array(arrCurveExtSub7(1)(0)+1,arrCurveExtSub7(1)(1),arrCurveExtSub7(1)(2)),Array(arrCurveExtSub7(1)(0),arrCurveExtSub7(1)(1)+1,arrCurveExtSub7(1)(2)))
arrPlaneExtSub7(2)=Rhino.PlaneFromPoints ((arrCurveExtSub7(2)),Array(arrCurveExtSub7(2)(0)+1,arrCurveExtSub7(2)(1),arrCurveExtSub7(2)(2)),Array(arrCurveExtSub7(2)(0),arrCurveExtSub7(2)(1)+1,arrCurveExtSub7(2)(2)))
ReDim Preserve arrPlaneExtSub8(2)
arrPlaneExtSub8(0)=Rhino.PlaneFromPoints ((arrCurveExtSub8(0)),Array(arrCurveExtSub8(0)(0)+1,arrCurveExtSub8(0)(1),arrCurveExtSub8(0)(2)),Array(arrCurveExtSub8(0)(0),arrCurveExtSub8(0)(1)+1,arrCurveExtSub8(0)(2)))
arrPlaneExtSub8(1)=Rhino.PlaneFromPoints ((arrCurveExtSub8(1)),Array(arrCurveExtSub8(1)(0)+1,arrCurveExtSub8(1)(1),arrCurveExtSub8(1)(2)),Array(arrCurveExtSub8(1)(0),arrCurveExtSub8(1)(1)+1,arrCurveExtSub8(1)(2)))
arrPlaneExtSub8(2)=Rhino.PlaneFromPoints ((arrCurveExtSub8(2)),Array(arrCurveExtSub8(2)(0)+1,arrCurveExtSub8(2)(1),arrCurveExtSub8(2)(2)),Array(arrCurveExtSub8(2)(0),arrCurveExtSub8(2)(1)+1,arrCurveExtSub8(2)(2)))
ReDim Preserve arrPlaneExtSub9(2)
arrPlaneExtSub9(0)=Rhino.PlaneFromPoints ((arrCurveExtSub9(0)),Array(arrCurveExtSub9(0)(0)+1,arrCurveExtSub9(0)(1),arrCurveExtSub9(0)(2)),Array(arrCurveExtSub9(0)(0),arrCurveExtSub9(0)(1)+1,arrCurveExtSub9(0)(2)))
arrPlaneExtSub9(1)=Rhino.PlaneFromPoints ((arrCurveExtSub9(1)),Array(arrCurveExtSub9(1)(0)+1,arrCurveExtSub9(1)(1),arrCurveExtSub9(1)(2)),Array(arrCurveExtSub9(1)(0),arrCurveExtSub9(1)(1)+1,arrCurveExtSub9(1)(2)))
arrPlaneExtSub9(2)=Rhino.PlaneFromPoints ((arrCurveExtSub9(2)),Array(arrCurveExtSub9(2)(0)+1,arrCurveExtSub9(2)(1),arrCurveExtSub9(2)(2)),Array(arrCurveExtSub9(2)(0),arrCurveExtSub9(2)(1)+1,arrCurveExtSub9(2)(2)))
ReDim Preserve arrPlaneExtSub10(2)
arrPlaneExtSub10(0)=Rhino.PlaneFromPoints ((arrCurveExtSub10(0)),Array(arrCurveExtSub10(0)(0)+1,arrCurveExtSub10(0)(1),arrCurveExtSub10(0)(2)),Array(arrCurveExtSub10(0)(0),arrCurveExtSub10(0)(1)+1,arrCurveExtSub10(0)(2)))
arrPlaneExtSub10(1)=Rhino.PlaneFromPoints ((arrCurveExtSub10(1)),Array(arrCurveExtSub10(1)(0)+1,arrCurveExtSub10(1)(1),arrCurveExtSub10(1)(2)),Array(arrCurveExtSub10(1)(0),arrCurveExtSub10(1)(1)+1,arrCurveExtSub10(1)(2)))
arrPlaneExtSub10(2)=Rhino.PlaneFromPoints ((arrCurveExtSub10(2)),Array(arrCurveExtSub10(2)(0)+1,arrCurveExtSub10(2)(1),arrCurveExtSub10(2)(2)),Array(arrCurveExtSub10(2)(0),arrCurveExtSub10(2)(1)+1,arrCurveExtSub10(2)(2)))
ReDim Preserve arrPlaneExtSub11(2)
arrPlaneExtSub11(0)=Rhino.PlaneFromPoints ((arrCurveExtSub11(0)),Array(arrCurveExtSub11(0)(0)+1,arrCurveExtSub11(0)(1),arrCurveExtSub11(0)(2)),Array(arrCurveExtSub11(0)(0),arrCurveExtSub11(0)(1)+1,arrCurveExtSub11(0)(2)))
arrPlaneExtSub11(1)=Rhino.PlaneFromPoints ((arrCurveExtSub11(1)),Array(arrCurveExtSub11(1)(0)+1,arrCurveExtSub11(1)(1),arrCurveExtSub11(1)(2)),Array(arrCurveExtSub11(1)(0),arrCurveExtSub11(1)(1)+1,arrCurveExtSub11(1)(2)))
arrPlaneExtSub11(2)=Rhino.PlaneFromPoints ((arrCurveExtSub11(2)),Array(arrCurveExtSub11(2)(0)+1,arrCurveExtSub11(2)(1),arrCurveExtSub11(2)(2)),Array(arrCurveExtSub11(2)(0),arrCurveExtSub11(2)(1)+1,arrCurveExtSub11(2)(2)))
ReDim Preserve arrPlaneExtSub12(2)
arrPlaneExtSub12(0)=Rhino.PlaneFromPoints ((arrCurveExtSub12(0)),Array(arrCurveExtSub12(0)(0)+1,arrCurveExtSub12(0)(1),arrCurveExtSub12(0)(2)),Array(arrCurveExtSub12(0)(0),arrCurveExtSub12(0)(1)+1,arrCurveExtSub12(0)(2)))
arrPlaneExtSub12(1)=Rhino.PlaneFromPoints ((arrCurveExtSub12(1)),Array(arrCurveExtSub12(1)(0)+1,arrCurveExtSub12(1)(1),arrCurveExtSub12(1)(2)),Array(arrCurveExtSub12(1)(0),arrCurveExtSub12(1)(1)+1,arrCurveExtSub12(1)(2)))
arrPlaneExtSub12(2)=Rhino.PlaneFromPoints ((arrCurveExtSub12(2)),Array(arrCurveExtSub12(2)(0)+1,arrCurveExtSub12(2)(1),arrCurveExtSub12(2)(2)),Array(arrCurveExtSub12(2)(0),arrCurveExtSub12(2)(1)+1,arrCurveExtSub12(2)(2)))
ReDim Preserve arrPlaneExtSub13(2)
arrPlaneExtSub13(0)=Rhino.PlaneFromPoints ((arrCurveExtSub13(0)),Array(arrCurveExtSub13(0)(0)+1,arrCurveExtSub13(0)(1),arrCurveExtSub13(0)(2)),Array(arrCurveExtSub13(0)(0),arrCurveExtSub13(0)(1)+1,arrCurveExtSub13(0)(2)))
arrPlaneExtSub13(1)=Rhino.PlaneFromPoints ((arrCurveExtSub13(1)),Array(arrCurveExtSub13(1)(0)+1,arrCurveExtSub13(1)(1),arrCurveExtSub13(1)(2)),Array(arrCurveExtSub13(1)(0),arrCurveExtSub13(1)(1)+1,arrCurveExtSub13(1)(2)))
arrPlaneExtSub13(2)=Rhino.PlaneFromPoints ((arrCurveExtSub13(2)),Array(arrCurveExtSub13(2)(0)+1,arrCurveExtSub13(2)(1),arrCurveExtSub13(2)(2)),Array(arrCurveExtSub13(2)(0),arrCurveExtSub13(2)(1)+1,arrCurveExtSub13(2)(2)))
ReDim Preserve arrPlaneExtSub14(2)
arrPlaneExtSub14(0)=Rhino.PlaneFromPoints ((arrCurveExtSub14(0)),Array(arrCurveExtSub14(0)(0)+1,arrCurveExtSub14(0)(1),arrCurveExtSub14(0)(2)),Array(arrCurveExtSub14(0)(0),arrCurveExtSub14(0)(1)+1,arrCurveExtSub14(0)(2)))
arrPlaneExtSub14(1)=Rhino.PlaneFromPoints ((arrCurveExtSub14(1)),Array(arrCurveExtSub14(1)(0)+1,arrCurveExtSub14(1)(1),arrCurveExtSub14(1)(2)),Array(arrCurveExtSub14(1)(0),arrCurveExtSub14(1)(1)+1,arrCurveExtSub14(1)(2)))
arrPlaneExtSub14(2)=Rhino.PlaneFromPoints ((arrCurveExtSub14(2)),Array(arrCurveExtSub14(2)(0)+1,arrCurveExtSub14(2)(1),arrCurveExtSub14(2)(2)),Array(arrCurveExtSub14(2)(0),arrCurveExtSub14(2)(1)+1,arrCurveExtSub14(2)(2)))
ReDim Preserve arrPlaneExtSub15(2)
arrPlaneExtSub15(0)=Rhino.PlaneFromPoints ((arrCurveExtSub15(0)),Array(arrCurveExtSub15(0)(0)+1,arrCurveExtSub15(0)(1),arrCurveExtSub15(0)(2)),Array(arrCurveExtSub15(0)(0),arrCurveExtSub15(0)(1)+1,arrCurveExtSub15(0)(2)))
arrPlaneExtSub15(1)=Rhino.PlaneFromPoints ((arrCurveExtSub15(1)),Array(arrCurveExtSub15(1)(0)+1,arrCurveExtSub15(1)(1),arrCurveExtSub15(1)(2)),Array(arrCurveExtSub15(1)(0),arrCurveExtSub15(1)(1)+1,arrCurveExtSub15(1)(2)))
arrPlaneExtSub15(2)=Rhino.PlaneFromPoints ((arrCurveExtSub15(2)),Array(arrCurveExtSub15(2)(0)+1,arrCurveExtSub15(2)(1),arrCurveExtSub15(2)(2)),Array(arrCurveExtSub15(2)(0),arrCurveExtSub15(2)(1)+1,arrCurveExtSub15(2)(2)))
ReDim Preserve arrPlaneExtSub16(2)
arrPlaneExtSub16(0)=Rhino.PlaneFromPoints ((arrCurveExtSub16(0)),Array(arrCurveExtSub16(0)(0)+1,arrCurveExtSub16(0)(1),arrCurveExtSub16(0)(2)),Array(arrCurveExtSub16(0)(0),arrCurveExtSub16(0)(1)+1,arrCurveExtSub16(0)(2)))
arrPlaneExtSub16(1)=Rhino.PlaneFromPoints ((arrCurveExtSub16(1)),Array(arrCurveExtSub16(1)(0)+1,arrCurveExtSub16(1)(1),arrCurveExtSub16(1)(2)),Array(arrCurveExtSub16(1)(0),arrCurveExtSub16(1)(1)+1,arrCurveExtSub16(1)(2)))
arrPlaneExtSub16(2)=Rhino.PlaneFromPoints ((arrCurveExtSub16(2)),Array(arrCurveExtSub16(2)(0)+1,arrCurveExtSub16(2)(1),arrCurveExtSub16(2)(2)),Array(arrCurveExtSub16(2)(0),arrCurveExtSub16(2)(1)+1,arrCurveExtSub16(2)(2)))
ReDim Preserve arrPlaneExtSub17(2)
arrPlaneExtSub17(0)=Rhino.PlaneFromPoints ((arrCurveExtSub17(0)),Array(arrCurveExtSub17(0)(0)+1,arrCurveExtSub17(0)(1),arrCurveExtSub17(0)(2)),Array(arrCurveExtSub17(0)(0),arrCurveExtSub17(0)(1)+1,arrCurveExtSub17(0)(2)))
arrPlaneExtSub17(1)=Rhino.PlaneFromPoints ((arrCurveExtSub17(1)),Array(arrCurveExtSub17(1)(0)+1,arrCurveExtSub17(1)(1),arrCurveExtSub17(1)(2)),Array(arrCurveExtSub17(1)(0),arrCurveExtSub17(1)(1)+1,arrCurveExtSub17(1)(2)))
arrPlaneExtSub17(2)=Rhino.PlaneFromPoints ((arrCurveExtSub17(2)),Array(arrCurveExtSub17(2)(0)+1,arrCurveExtSub17(2)(1),arrCurveExtSub17(2)(2)),Array(arrCurveExtSub17(2)(0),arrCurveExtSub17(2)(1)+1,arrCurveExtSub17(2)(2)))
ReDim Preserve arrPlaneExtSub18(2)
arrPlaneExtSub18(0)=Rhino.PlaneFromPoints ((arrCurveExtSub18(0)),Array(arrCurveExtSub18(0)(0)+1,arrCurveExtSub18(0)(1),arrCurveExtSub18(0)(2)),Array(arrCurveExtSub18(0)(0),arrCurveExtSub18(0)(1)+1,arrCurveExtSub18(0)(2)))
arrPlaneExtSub18(1)=Rhino.PlaneFromPoints ((arrCurveExtSub18(1)),Array(arrCurveExtSub18(1)(0)+1,arrCurveExtSub18(1)(1),arrCurveExtSub18(1)(2)),Array(arrCurveExtSub18(1)(0),arrCurveExtSub18(1)(1)+1,arrCurveExtSub18(1)(2)))
arrPlaneExtSub18(2)=Rhino.PlaneFromPoints ((arrCurveExtSub18(2)),Array(arrCurveExtSub18(2)(0)+1,arrCurveExtSub18(2)(1),arrCurveExtSub18(2)(2)),Array(arrCurveExtSub18(2)(0),arrCurveExtSub18(2)(1)+1,arrCurveExtSub18(2)(2)))
ReDim Preserve arrPlaneExtSub19(2)
arrPlaneExtSub19(0)=Rhino.PlaneFromPoints ((arrCurveExtSub19(0)),Array(arrCurveExtSub19(0)(0)+1,arrCurveExtSub19(0)(1),arrCurveExtSub19(0)(2)),Array(arrCurveExtSub19(0)(0),arrCurveExtSub19(0)(1)+1,arrCurveExtSub19(0)(2)))
arrPlaneExtSub19(1)=Rhino.PlaneFromPoints ((arrCurveExtSub19(1)),Array(arrCurveExtSub19(1)(0)+1,arrCurveExtSub19(1)(1),arrCurveExtSub19(1)(2)),Array(arrCurveExtSub19(1)(0),arrCurveExtSub19(1)(1)+1,arrCurveExtSub19(1)(2)))
arrPlaneExtSub19(2)=Rhino.PlaneFromPoints ((arrCurveExtSub19(2)),Array(arrCurveExtSub19(2)(0)+1,arrCurveExtSub19(2)(1),arrCurveExtSub19(2)(2)),Array(arrCurveExtSub19(2)(0),arrCurveExtSub19(2)(1)+1,arrCurveExtSub19(2)(2)))

ReDim Preserve arrPtExtSub1(2)
arrPtExtSub1(0) = Rhino.AddCircle (arrPlaneExtSub1(0), 1)
arrPtExtSub1(1) = Rhino.AddCircle (arrPlaneExtSub1(1), 0.5)
arrPtExtSub1(2) = Rhino.AddCircle (arrPlaneExtSub1(2), 0.2)
ReDim Preserve arrPtExtSub2(2)
arrPtExtSub2(0) = Rhino.AddCircle (arrPlaneExtSub2(0), 1)
arrPtExtSub2(1) = Rhino.AddCircle (arrPlaneExtSub2(1), 0.5)
arrPtExtSub2(2) = Rhino.AddCircle (arrPlaneExtSub2(2), 0.2)
ReDim Preserve arrPtExtSub3(2)
arrPtExtSub3(0) = Rhino.AddCircle (arrPlaneExtSub3(0), 1)
arrPtExtSub3(1) = Rhino.AddCircle (arrPlaneExtSub3(1), 0.5)
arrPtExtSub3(2) = Rhino.AddCircle (arrPlaneExtSub3(2), 0.2)
ReDim Preserve arrPtExtSub4(2)
arrPtExtSub4(0) = Rhino.AddCircle (arrPlaneExtSub4(0), 1)
arrPtExtSub4(1) = Rhino.AddCircle (arrPlaneExtSub4(1), 0.5)
arrPtExtSub4(2) = Rhino.AddCircle (arrPlaneExtSub4(2), 0.2)
ReDim Preserve arrPtExtSub5(2)
arrPtExtSub5(0) = Rhino.AddCircle (arrPlaneExtSub5(0), 1)
arrPtExtSub5(1) = Rhino.AddCircle (arrPlaneExtSub5(1), 0.5)
arrPtExtSub5(2) = Rhino.AddCircle (arrPlaneExtSub5(2), 0.2)
ReDim Preserve arrPtExtSub6(2)
arrPtExtSub6(0) = Rhino.AddCircle (arrPlaneExtSub6(0), 1)
arrPtExtSub6(1) = Rhino.AddCircle (arrPlaneExtSub6(1), 0.5)
arrPtExtSub6(2) = Rhino.AddCircle (arrPlaneExtSub6(2), 0.2)
ReDim Preserve arrPtExtSub7(2)
arrPtExtSub7(0) = Rhino.AddCircle (arrPlaneExtSub7(0), 1)
arrPtExtSub7(1) = Rhino.AddCircle (arrPlaneExtSub7(1), 0.5)
arrPtExtSub7(2) = Rhino.AddCircle (arrPlaneExtSub7(2), 0.2)
ReDim Preserve arrPtExtSub8(2)
arrPtExtSub8(0) = Rhino.AddCircle (arrPlaneExtSub8(0), 1)
arrPtExtSub8(1) = Rhino.AddCircle (arrPlaneExtSub8(1), 0.5)
arrPtExtSub8(2) = Rhino.AddCircle (arrPlaneExtSub8(2), 0.2)
ReDim Preserve arrPtExtSub9(2)
arrPtExtSub9(0) = Rhino.AddCircle (arrPlaneExtSub9(0), 1)
arrPtExtSub9(1) = Rhino.AddCircle (arrPlaneExtSub9(1), 0.5)
arrPtExtSub9(2) = Rhino.AddCircle (arrPlaneExtSub9(2), 0.2)
ReDim Preserve arrPtExtSub10(2)
arrPtExtSub10(0) = Rhino.AddCircle (arrPlaneExtSub10(0), 1)
arrPtExtSub10(1) = Rhino.AddCircle (arrPlaneExtSub10(1), 0.5)
arrPtExtSub10(2) = Rhino.AddCircle (arrPlaneExtSub10(2), 0.2)
ReDim Preserve arrPtExtSub11(2)
arrPtExtSub11(0) = Rhino.AddCircle (arrPlaneExtSub11(0), 1)
arrPtExtSub11(1) = Rhino.AddCircle (arrPlaneExtSub11(1), 0.5)
arrPtExtSub11(2) = Rhino.AddCircle (arrPlaneExtSub11(2), 0.2)
ReDim Preserve arrPtExtSub12(2)
arrPtExtSub12(0) = Rhino.AddCircle (arrPlaneExtSub12(0), 1)
arrPtExtSub12(1) = Rhino.AddCircle (arrPlaneExtSub12(1), 0.5)
arrPtExtSub12(2) = Rhino.AddCircle (arrPlaneExtSub12(2), 0.2)
ReDim Preserve arrPtExtSub13(2)
arrPtExtSub13(0) = Rhino.AddCircle (arrPlaneExtSub13(0), 1)
arrPtExtSub13(1) = Rhino.AddCircle (arrPlaneExtSub13(1), 0.5)
arrPtExtSub13(2) = Rhino.AddCircle (arrPlaneExtSub13(2), 0.2)
ReDim Preserve arrPtExtSub14(2)
arrPtExtSub14(0) = Rhino.AddCircle (arrPlaneExtSub14(0), 1)
arrPtExtSub14(1) = Rhino.AddCircle (arrPlaneExtSub14(1), 0.5)
arrPtExtSub14(2) = Rhino.AddCircle (arrPlaneExtSub14(2), 0.2)
ReDim Preserve arrPtExtSub15(2)
arrPtExtSub15(0) = Rhino.AddCircle (arrPlaneExtSub15(0), 1)
arrPtExtSub15(1) = Rhino.AddCircle (arrPlaneExtSub15(1), 0.5)
arrPtExtSub15(2) = Rhino.AddCircle (arrPlaneExtSub15(2), 0.2)
ReDim Preserve arrPtExtSub16(2)
arrPtExtSub16(0) = Rhino.AddCircle (arrPlaneExtSub16(0), 1)
arrPtExtSub16(1) = Rhino.AddCircle (arrPlaneExtSub16(1), 0.5)
arrPtExtSub16(2) = Rhino.AddCircle (arrPlaneExtSub16(2), 0.2)
ReDim Preserve arrPtExtSub17(2)
arrPtExtSub17(0) = Rhino.AddCircle (arrPlaneExtSub17(0), 1)
arrPtExtSub17(1) = Rhino.AddCircle (arrPlaneExtSub17(1), 0.5)
arrPtExtSub17(2) = Rhino.AddCircle (arrPlaneExtSub17(2), 0.2)
ReDim Preserve arrPtExtSub18(2)
arrPtExtSub18(0) = Rhino.AddCircle (arrPlaneExtSub18(0), 1)
arrPtExtSub18(1) = Rhino.AddCircle (arrPlaneExtSub18(1), 0.5)
arrPtExtSub18(2) = Rhino.AddCircle (arrPlaneExtSub18(2), 0.2)
ReDim Preserve arrPtExtSub19(2)
arrPtExtSub19(0) = Rhino.AddCircle (arrPlaneExtSub19(0), 1)
arrPtExtSub19(1) = Rhino.AddCircle (arrPlaneExtSub19(1), 0.5)
arrPtExtSub19(2) = Rhino.AddCircle (arrPlaneExtSub19(2), 0.2)
Rhino.AddLoftSrf (arrPtExtSub1),,,1
Rhino.AddLoftSrf (arrPtExtSub2),,,1
Rhino.AddLoftSrf (arrPtExtSub3),,,1
Rhino.AddLoftSrf (arrPtExtSub4),,,1
Rhino.AddLoftSrf (arrPtExtSub5),,,1
Rhino.AddLoftSrf (arrPtExtSub6),,,1
Rhino.AddLoftSrf (arrPtExtSub7),,,1
Rhino.AddLoftSrf (arrPtExtSub8),,,1
Rhino.AddLoftSrf (arrPtExtSub9),,,1
Rhino.AddLoftSrf (arrPtExtSub10),,,1
Rhino.AddLoftSrf (arrPtExtSub11),,,1
Rhino.AddLoftSrf (arrPtExtSub12),,,1
Rhino.AddLoftSrf (arrPtExtSub13),,,1
Rhino.AddLoftSrf (arrPtExtSub14),,,1
Rhino.AddLoftSrf (arrPtExtSub15),,,1
Rhino.AddLoftSrf (arrPtExtSub16),,,1
Rhino.AddLoftSrf (arrPtExtSub17),,,1
Rhino.AddLoftSrf (arrPtExtSub18),,,1
Rhino.AddLoftSrf (arrPtExtSub19),,,1

Rhino.AddPlanarSrf Array(arrPtExtSub1(0))
Rhino.AddPlanarSrf Array(arrPtExtSub1(2))
Rhino.AddPlanarSrf Array(arrPtExtSub2(0))
Rhino.AddPlanarSrf Array(arrPtExtSub2(2))
Rhino.AddPlanarSrf Array(arrPtExtSub3(0))
Rhino.AddPlanarSrf Array(arrPtExtSub3(2))
Rhino.AddPlanarSrf Array(arrPtExtSub4(0))
Rhino.AddPlanarSrf Array(arrPtExtSub4(2))
Rhino.AddPlanarSrf Array(arrPtExtSub5(0))
Rhino.AddPlanarSrf Array(arrPtExtSub5(2))
Rhino.AddPlanarSrf Array(arrPtExtSub6(0))
Rhino.AddPlanarSrf Array(arrPtExtSub6(2))
Rhino.AddPlanarSrf Array(arrPtExtSub7(0))
Rhino.AddPlanarSrf Array(arrPtExtSub7(2))
Rhino.AddPlanarSrf Array(arrPtExtSub8(0))
Rhino.AddPlanarSrf Array(arrPtExtSub8(2))
Rhino.AddPlanarSrf Array(arrPtExtSub9(0))
Rhino.AddPlanarSrf Array(arrPtExtSub9(2))
Rhino.AddPlanarSrf Array(arrPtExtSub10(0))
Rhino.AddPlanarSrf Array(arrPtExtSub10(2))
Rhino.AddPlanarSrf Array(arrPtExtSub11(0))
Rhino.AddPlanarSrf Array(arrPtExtSub11(2))
Rhino.AddPlanarSrf Array(arrPtExtSub12(0))
Rhino.AddPlanarSrf Array(arrPtExtSub12(2))
Rhino.AddPlanarSrf Array(arrPtExtSub13(0))
Rhino.AddPlanarSrf Array(arrPtExtSub13(2))
Rhino.AddPlanarSrf Array(arrPtExtSub14(0))
Rhino.AddPlanarSrf Array(arrPtExtSub14(2))
Rhino.AddPlanarSrf Array(arrPtExtSub15(0))
Rhino.AddPlanarSrf Array(arrPtExtSub15(2))
Rhino.AddPlanarSrf Array(arrPtExtSub16(0))
Rhino.AddPlanarSrf Array(arrPtExtSub16(2))
Rhino.AddPlanarSrf Array(arrPtExtSub17(0))
Rhino.AddPlanarSrf Array(arrPtExtSub17(2))
Rhino.AddPlanarSrf Array(arrPtExtSub18(0))
Rhino.AddPlanarSrf Array(arrPtExtSub18(2))
Rhino.AddPlanarSrf Array(arrPtExtSub19(0))
Rhino.AddPlanarSrf Array(arrPtExtSub19(2))

Rhino.DeleteObjects (arrPtExtSub1)
Rhino.DeleteObjects (arrPtExtSub2)
Rhino.DeleteObjects (arrPtExtSub3)
Rhino.DeleteObjects (arrPtExtSub4)
Rhino.DeleteObjects (arrPtExtSub5)
Rhino.DeleteObjects (arrPtExtSub6)
Rhino.DeleteObjects (arrPtExtSub7)
Rhino.DeleteObjects (arrPtExtSub8)
Rhino.DeleteObjects (arrPtExtSub9)
Rhino.DeleteObjects (arrPtExtSub10)
Rhino.DeleteObjects (arrPtExtSub11)
Rhino.DeleteObjects (arrPtExtSub12)
Rhino.DeleteObjects (arrPtExtSub13)
Rhino.DeleteObjects (arrPtExtSub14)
Rhino.DeleteObjects (arrPtExtSub15)
Rhino.DeleteObjects (arrPtExtSub16)
Rhino.DeleteObjects (arrPtExtSub17)
Rhino.DeleteObjects (arrPtExtSub18)
Rhino.DeleteObjects (arrPtExtSub19)

Next
End If
End If

End Sub

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s